diff --git a/config/rootfiles/common/abseil-cpp b/config/rootfiles/common/abseil-cpp
index 6566e1bd0..deb43daad 100644
--- a/config/rootfiles/common/abseil-cpp
+++ b/config/rootfiles/common/abseil-cpp
@@ -11,6 +11,8 @@
 #usr/include/absl/base/CMakeFiles/log_severity.dir
 #usr/include/absl/base/CMakeFiles/malloc_internal.dir
 #usr/include/absl/base/CMakeFiles/malloc_internal.dir/internal
+#usr/include/absl/base/CMakeFiles/poison.dir
+#usr/include/absl/base/CMakeFiles/poison.dir/internal
 #usr/include/absl/base/CMakeFiles/raw_logging_internal.dir
 #usr/include/absl/base/CMakeFiles/raw_logging_internal.dir/internal
 #usr/include/absl/base/CMakeFiles/scoped_set_env.dir
@@ -48,7 +50,7 @@
 #usr/include/absl/base/internal/low_level_scheduling.h
 #usr/include/absl/base/internal/nullability_impl.h
 #usr/include/absl/base/internal/per_thread_tls.h
-#usr/include/absl/base/internal/prefetch.h
+#usr/include/absl/base/internal/poison.h
 #usr/include/absl/base/internal/pretty_function.h
 #usr/include/absl/base/internal/raw_logging.h
 #usr/include/absl/base/internal/scheduling_mode.h
@@ -61,7 +63,6 @@
 #usr/include/absl/base/internal/spinlock_win32.inc
 #usr/include/absl/base/internal/strerror.h
 #usr/include/absl/base/internal/sysinfo.h
-#usr/include/absl/base/internal/thread_annotations.h
 #usr/include/absl/base/internal/thread_identity.h
 #usr/include/absl/base/internal/throw_delegate.h
 #usr/include/absl/base/internal/tsan_mutex_interface.h
@@ -70,6 +71,7 @@
 #usr/include/absl/base/internal/unscaledcycleclock_config.h
 #usr/include/absl/base/log_severity.h
 #usr/include/absl/base/macros.h
+#usr/include/absl/base/no_destructor.h
 #usr/include/absl/base/nullability.h
 #usr/include/absl/base/optimization.h
 #usr/include/absl/base/options.h
@@ -94,6 +96,7 @@
 #usr/include/absl/container/fixed_array.h
 #usr/include/absl/container/flat_hash_map.h
 #usr/include/absl/container/flat_hash_set.h
+#usr/include/absl/container/hash_container_defaults.h
 #usr/include/absl/container/inlined_vector.h
 #usr/include/absl/container/internal
 #usr/include/absl/container/internal/btree.h
@@ -102,7 +105,6 @@
 #usr/include/absl/container/internal/common_policy_traits.h
 #usr/include/absl/container/internal/compressed_tuple.h
 #usr/include/absl/container/internal/container_memory.h
-#usr/include/absl/container/internal/counting_allocator.h
 #usr/include/absl/container/internal/hash_function_defaults.h
 #usr/include/absl/container/internal/hash_generator_testing.h
 #usr/include/absl/container/internal/hash_policy_testing.h
@@ -115,6 +117,7 @@
 #usr/include/absl/container/internal/node_slot_policy.h
 #usr/include/absl/container/internal/raw_hash_map.h
 #usr/include/absl/container/internal/raw_hash_set.h
+#usr/include/absl/container/internal/test_allocator.h
 #usr/include/absl/container/internal/test_instance_tracker.h
 #usr/include/absl/container/internal/tracked.h
 #usr/include/absl/container/internal/unordered_map_constructor_test.h
@@ -153,18 +156,27 @@
 #usr/include/absl/debugging/CMakeFiles
 #usr/include/absl/debugging/CMakeFiles/debugging_internal.dir
 #usr/include/absl/debugging/CMakeFiles/debugging_internal.dir/internal
+#usr/include/absl/debugging/CMakeFiles/decode_rust_punycode.dir
+#usr/include/absl/debugging/CMakeFiles/decode_rust_punycode.dir/internal
 #usr/include/absl/debugging/CMakeFiles/demangle_internal.dir
 #usr/include/absl/debugging/CMakeFiles/demangle_internal.dir/internal
+#usr/include/absl/debugging/CMakeFiles/demangle_rust.dir
+#usr/include/absl/debugging/CMakeFiles/demangle_rust.dir/internal
 #usr/include/absl/debugging/CMakeFiles/examine_stack.dir
 #usr/include/absl/debugging/CMakeFiles/examine_stack.dir/internal
 #usr/include/absl/debugging/CMakeFiles/failure_signal_handler.dir
 #usr/include/absl/debugging/CMakeFiles/leak_check.dir
 #usr/include/absl/debugging/CMakeFiles/stacktrace.dir
 #usr/include/absl/debugging/CMakeFiles/symbolize.dir
+#usr/include/absl/debugging/CMakeFiles/utf8_for_code_point.dir
+#usr/include/absl/debugging/CMakeFiles/utf8_for_code_point.dir/internal
 #usr/include/absl/debugging/failure_signal_handler.h
 #usr/include/absl/debugging/internal
 #usr/include/absl/debugging/internal/address_is_readable.h
+#usr/include/absl/debugging/internal/bounded_utf8_length_sequence.h
+#usr/include/absl/debugging/internal/decode_rust_punycode.h
 #usr/include/absl/debugging/internal/demangle.h
+#usr/include/absl/debugging/internal/demangle_rust.h
 #usr/include/absl/debugging/internal/elf_mem_image.h
 #usr/include/absl/debugging/internal/examine_stack.h
 #usr/include/absl/debugging/internal/stack_consumption.h
@@ -179,6 +191,7 @@
 #usr/include/absl/debugging/internal/stacktrace_win32-inl.inc
 #usr/include/absl/debugging/internal/stacktrace_x86-inl.inc
 #usr/include/absl/debugging/internal/symbolize.h
+#usr/include/absl/debugging/internal/utf8_for_code_point.h
 #usr/include/absl/debugging/internal/vdso_support.h
 #usr/include/absl/debugging/leak_check.h
 #usr/include/absl/debugging/stacktrace.h
@@ -190,7 +203,6 @@
 #usr/include/absl/debugging/symbolize_win32.inc
 #usr/include/absl/flags
 #usr/include/absl/flags/CMakeFiles
-#usr/include/absl/flags/CMakeFiles/flags.dir
 #usr/include/absl/flags/CMakeFiles/flags_commandlineflag.dir
 #usr/include/absl/flags/CMakeFiles/flags_commandlineflag_internal.dir
 #usr/include/absl/flags/CMakeFiles/flags_commandlineflag_internal.dir/internal
@@ -214,7 +226,6 @@
 #usr/include/absl/flags/internal
 #usr/include/absl/flags/internal/commandlineflag.h
 #usr/include/absl/flags/internal/flag.h
-#usr/include/absl/flags/internal/flag_msvc.inc
 #usr/include/absl/flags/internal/parse.h
 #usr/include/absl/flags/internal/path_util.h
 #usr/include/absl/flags/internal/private_handle_accessor.h
@@ -236,6 +247,7 @@
 #usr/include/absl/functional/internal/any_invocable.h
 #usr/include/absl/functional/internal/front_binder.h
 #usr/include/absl/functional/internal/function_ref.h
+#usr/include/absl/functional/overload.h
 #usr/include/absl/hash
 #usr/include/absl/hash/CMakeFiles
 #usr/include/absl/hash/CMakeFiles/city.dir
@@ -263,6 +275,8 @@
 #usr/include/absl/log/CMakeFiles/log_internal_check_op.dir/internal
 #usr/include/absl/log/CMakeFiles/log_internal_conditions.dir
 #usr/include/absl/log/CMakeFiles/log_internal_conditions.dir/internal
+#usr/include/absl/log/CMakeFiles/log_internal_fnmatch.dir
+#usr/include/absl/log/CMakeFiles/log_internal_fnmatch.dir/internal
 #usr/include/absl/log/CMakeFiles/log_internal_format.dir
 #usr/include/absl/log/CMakeFiles/log_internal_format.dir/internal
 #usr/include/absl/log/CMakeFiles/log_internal_globals.dir
@@ -276,8 +290,11 @@
 #usr/include/absl/log/CMakeFiles/log_internal_proto.dir
 #usr/include/absl/log/CMakeFiles/log_internal_proto.dir/internal
 #usr/include/absl/log/CMakeFiles/log_sink.dir
+#usr/include/absl/log/CMakeFiles/vlog_config_internal.dir
+#usr/include/absl/log/CMakeFiles/vlog_config_internal.dir/internal
 #usr/include/absl/log/absl_check.h
 #usr/include/absl/log/absl_log.h
+#usr/include/absl/log/absl_vlog_is_on.h
 #usr/include/absl/log/check.h
 #usr/include/absl/log/check_test_impl.inc
 #usr/include/absl/log/die_if_null.h
@@ -291,6 +308,7 @@
 #usr/include/absl/log/internal/conditions.h
 #usr/include/absl/log/internal/config.h
 #usr/include/absl/log/internal/flags.h
+#usr/include/absl/log/internal/fnmatch.h
 #usr/include/absl/log/internal/globals.h
 #usr/include/absl/log/internal/log_format.h
 #usr/include/absl/log/internal/log_impl.h
@@ -304,6 +322,7 @@
 #usr/include/absl/log/internal/test_actions.h
 #usr/include/absl/log/internal/test_helpers.h
 #usr/include/absl/log/internal/test_matchers.h
+#usr/include/absl/log/internal/vlog_config.h
 #usr/include/absl/log/internal/voidify.h
 #usr/include/absl/log/log.h
 #usr/include/absl/log/log_basic_test_impl.inc
@@ -313,6 +332,7 @@
 #usr/include/absl/log/log_streamer.h
 #usr/include/absl/log/scoped_mock_log.h
 #usr/include/absl/log/structured.h
+#usr/include/absl/log/vlog_is_on.h
 #usr/include/absl/memory
 #usr/include/absl/memory/CMakeFiles
 #usr/include/absl/memory/memory.h
@@ -378,6 +398,7 @@
 #usr/include/absl/random/internal/iostream_state_saver.h
 #usr/include/absl/random/internal/mock_helpers.h
 #usr/include/absl/random/internal/mock_overload_set.h
+#usr/include/absl/random/internal/mock_validators.h
 #usr/include/absl/random/internal/nanobenchmark.h
 #usr/include/absl/random/internal/nonsecure_base.h
 #usr/include/absl/random/internal/pcg_engine.h
@@ -408,11 +429,14 @@
 #usr/include/absl/status
 #usr/include/absl/status/CMakeFiles
 #usr/include/absl/status/CMakeFiles/status.dir
+#usr/include/absl/status/CMakeFiles/status.dir/internal
 #usr/include/absl/status/CMakeFiles/statusor.dir
 #usr/include/absl/status/internal
 #usr/include/absl/status/internal/status_internal.h
+#usr/include/absl/status/internal/status_matchers.h
 #usr/include/absl/status/internal/statusor_internal.h
 #usr/include/absl/status/status.h
+#usr/include/absl/status/status_matchers.h
 #usr/include/absl/status/status_payload_printer.h
 #usr/include/absl/status/statusor.h
 #usr/include/absl/strings
@@ -438,14 +462,16 @@
 #usr/include/absl/strings/CMakeFiles/strings_internal.dir/internal
 #usr/include/absl/strings/ascii.h
 #usr/include/absl/strings/charconv.h
+#usr/include/absl/strings/charset.h
 #usr/include/absl/strings/cord.h
 #usr/include/absl/strings/cord_analysis.h
 #usr/include/absl/strings/cord_buffer.h
 #usr/include/absl/strings/cord_test_helpers.h
 #usr/include/absl/strings/cordz_test_helpers.h
 #usr/include/absl/strings/escaping.h
+#usr/include/absl/strings/has_absl_stringify.h
+#usr/include/absl/strings/has_ostream_operator.h
 #usr/include/absl/strings/internal
-#usr/include/absl/strings/internal/char_map.h
 #usr/include/absl/strings/internal/charconv_bigint.h
 #usr/include/absl/strings/internal/charconv_parse.h
 #usr/include/absl/strings/internal/cord_data_edge.h
@@ -456,8 +482,6 @@
 #usr/include/absl/strings/internal/cord_rep_consume.h
 #usr/include/absl/strings/internal/cord_rep_crc.h
 #usr/include/absl/strings/internal/cord_rep_flat.h
-#usr/include/absl/strings/internal/cord_rep_ring.h
-#usr/include/absl/strings/internal/cord_rep_ring_reader.h
 #usr/include/absl/strings/internal/cord_rep_test_util.h
 #usr/include/absl/strings/internal/cordz_functions.h
 #usr/include/absl/strings/internal/cordz_handle.h
@@ -469,7 +493,6 @@
 #usr/include/absl/strings/internal/damerau_levenshtein_distance.h
 #usr/include/absl/strings/internal/escaping.h
 #usr/include/absl/strings/internal/escaping_test_common.h
-#usr/include/absl/strings/internal/has_absl_stringify.h
 #usr/include/absl/strings/internal/memutil.h
 #usr/include/absl/strings/internal/numbers_test_common.h
 #usr/include/absl/strings/internal/ostringstream.h
@@ -570,15 +593,8 @@
 #usr/include/absl/types/bad_variant_access.h
 #usr/include/absl/types/compare.h
 #usr/include/absl/types/internal
-#usr/include/absl/types/internal/conformance_aliases.h
-#usr/include/absl/types/internal/conformance_archetype.h
-#usr/include/absl/types/internal/conformance_profile.h
-#usr/include/absl/types/internal/conformance_testing.h
-#usr/include/absl/types/internal/conformance_testing_helpers.h
 #usr/include/absl/types/internal/optional.h
-#usr/include/absl/types/internal/parentheses.h
 #usr/include/absl/types/internal/span.h
-#usr/include/absl/types/internal/transform_args.h
 #usr/include/absl/types/internal/variant.h
 #usr/include/absl/types/optional.h
 #usr/include/absl/types/span.h
@@ -610,12 +626,13 @@
 #usr/lib/libabsl_crc_cpu_detect.a
 #usr/lib/libabsl_crc_internal.a
 #usr/lib/libabsl_debugging_internal.a
+#usr/lib/libabsl_decode_rust_punycode.a
 #usr/lib/libabsl_demangle_internal.a
+#usr/lib/libabsl_demangle_rust.a
 #usr/lib/libabsl_die_if_null.a
 #usr/lib/libabsl_examine_stack.a
 #usr/lib/libabsl_exponential_biased.a
 #usr/lib/libabsl_failure_signal_handler.a
-#usr/lib/libabsl_flags.a
 #usr/lib/libabsl_flags_commandlineflag.a
 #usr/lib/libabsl_flags_commandlineflag_internal.a
 #usr/lib/libabsl_flags_config.a
@@ -639,6 +656,7 @@
 #usr/lib/libabsl_log_initialize.a
 #usr/lib/libabsl_log_internal_check_op.a
 #usr/lib/libabsl_log_internal_conditions.a
+#usr/lib/libabsl_log_internal_fnmatch.a
 #usr/lib/libabsl_log_internal_format.a
 #usr/lib/libabsl_log_internal_globals.a
 #usr/lib/libabsl_log_internal_log_sink_set.a
@@ -650,6 +668,7 @@
 #usr/lib/libabsl_low_level_hash.a
 #usr/lib/libabsl_malloc_internal.a
 #usr/lib/libabsl_periodic_sampler.a
+#usr/lib/libabsl_poison.a
 #usr/lib/libabsl_random_distributions.a
 #usr/lib/libabsl_random_internal_distribution_test_util.a
 #usr/lib/libabsl_random_internal_platform.a
@@ -678,8 +697,11 @@
 #usr/lib/libabsl_throw_delegate.a
 #usr/lib/libabsl_time.a
 #usr/lib/libabsl_time_zone.a
+#usr/lib/libabsl_utf8_for_code_point.a
+#usr/lib/libabsl_vlog_config_internal.a
 #usr/lib/pkgconfig/absl_absl_check.pc
 #usr/lib/pkgconfig/absl_absl_log.pc
+#usr/lib/pkgconfig/absl_absl_vlog_is_on.pc
 #usr/lib/pkgconfig/absl_algorithm.pc
 #usr/lib/pkgconfig/absl_algorithm_container.pc
 #usr/lib/pkgconfig/absl_any.pc
@@ -693,7 +715,9 @@
 #usr/lib/pkgconfig/absl_base_internal.pc
 #usr/lib/pkgconfig/absl_bind_front.pc
 #usr/lib/pkgconfig/absl_bits.pc
+#usr/lib/pkgconfig/absl_bounded_utf8_length_sequence.pc
 #usr/lib/pkgconfig/absl_btree.pc
+#usr/lib/pkgconfig/absl_charset.pc
 #usr/lib/pkgconfig/absl_check.pc
 #usr/lib/pkgconfig/absl_city.pc
 #usr/lib/pkgconfig/absl_civil_time.pc
@@ -715,14 +739,15 @@
 #usr/lib/pkgconfig/absl_cordz_update_scope.pc
 #usr/lib/pkgconfig/absl_cordz_update_tracker.pc
 #usr/lib/pkgconfig/absl_core_headers.pc
-#usr/lib/pkgconfig/absl_counting_allocator.pc
 #usr/lib/pkgconfig/absl_crc32c.pc
 #usr/lib/pkgconfig/absl_crc_cord_state.pc
 #usr/lib/pkgconfig/absl_crc_cpu_detect.pc
 #usr/lib/pkgconfig/absl_crc_internal.pc
 #usr/lib/pkgconfig/absl_debugging.pc
 #usr/lib/pkgconfig/absl_debugging_internal.pc
+#usr/lib/pkgconfig/absl_decode_rust_punycode.pc
 #usr/lib/pkgconfig/absl_demangle_internal.pc
+#usr/lib/pkgconfig/absl_demangle_rust.pc
 #usr/lib/pkgconfig/absl_die_if_null.pc
 #usr/lib/pkgconfig/absl_dynamic_annotations.pc
 #usr/lib/pkgconfig/absl_endian.pc
@@ -749,7 +774,9 @@
 #usr/lib/pkgconfig/absl_flat_hash_set.pc
 #usr/lib/pkgconfig/absl_function_ref.pc
 #usr/lib/pkgconfig/absl_graphcycles_internal.pc
+#usr/lib/pkgconfig/absl_has_ostream_operator.pc
 #usr/lib/pkgconfig/absl_hash.pc
+#usr/lib/pkgconfig/absl_hash_container_defaults.pc
 #usr/lib/pkgconfig/absl_hash_function_defaults.pc
 #usr/lib/pkgconfig/absl_hash_policy_traits.pc
 #usr/lib/pkgconfig/absl_hashtable_debug.pc
@@ -773,6 +800,7 @@
 #usr/lib/pkgconfig/absl_log_internal_conditions.pc
 #usr/lib/pkgconfig/absl_log_internal_config.pc
 #usr/lib/pkgconfig/absl_log_internal_flags.pc
+#usr/lib/pkgconfig/absl_log_internal_fnmatch.pc
 #usr/lib/pkgconfig/absl_log_internal_format.pc
 #usr/lib/pkgconfig/absl_log_internal_globals.pc
 #usr/lib/pkgconfig/absl_log_internal_log_impl.pc
@@ -793,6 +821,7 @@
 #usr/lib/pkgconfig/absl_malloc_internal.pc
 #usr/lib/pkgconfig/absl_memory.pc
 #usr/lib/pkgconfig/absl_meta.pc
+#usr/lib/pkgconfig/absl_no_destructor.pc
 #usr/lib/pkgconfig/absl_node_hash_map.pc
 #usr/lib/pkgconfig/absl_node_hash_set.pc
 #usr/lib/pkgconfig/absl_node_slot_policy.pc
@@ -802,7 +831,9 @@
 #usr/lib/pkgconfig/absl_numeric.pc
 #usr/lib/pkgconfig/absl_numeric_representation.pc
 #usr/lib/pkgconfig/absl_optional.pc
+#usr/lib/pkgconfig/absl_overload.pc
 #usr/lib/pkgconfig/absl_periodic_sampler.pc
+#usr/lib/pkgconfig/absl_poison.pc
 #usr/lib/pkgconfig/absl_prefetch.pc
 #usr/lib/pkgconfig/absl_pretty_function.pc
 #usr/lib/pkgconfig/absl_random_bit_gen_ref.pc
@@ -853,5 +884,8 @@
 #usr/lib/pkgconfig/absl_time.pc
 #usr/lib/pkgconfig/absl_time_zone.pc
 #usr/lib/pkgconfig/absl_type_traits.pc
+#usr/lib/pkgconfig/absl_utf8_for_code_point.pc
 #usr/lib/pkgconfig/absl_utility.pc
 #usr/lib/pkgconfig/absl_variant.pc
+#usr/lib/pkgconfig/absl_vlog_config_internal.pc
+#usr/lib/pkgconfig/absl_vlog_is_on.pc
diff --git a/lfs/abseil-cpp b/lfs/abseil-cpp
index c0588a889..c6f8d18cd 100644
--- a/lfs/abseil-cpp
+++ b/lfs/abseil-cpp
@@ -24,7 +24,7 @@
 
 include Config
 
-VER        = 20230802.1
+VER        = 20240722.0
 
 THISAPP    = abseil-cpp-$(VER)
 DL_FILE    = $(THISAPP).tar.gz
@@ -40,7 +40,7 @@ objects = $(DL_FILE)
 
 $(DL_FILE) = $(DL_FROM)/$(DL_FILE)
 
-$(DL_FILE)_BLAKE2 = 98a9efb0fdc3801ff26d53202a1737cdf2d4115690f358abe16ba8b82625ee9df109e50ad50a30dc8e368b78630c3e7a31006801060b431c1b07b157366f1210
+$(DL_FILE)_BLAKE2 = 6756f9a5f70656a6ef1985ba44af69a7fc3ab23b4be8a36ae39d7eedc318a4a9b0da08b31d26b3c46857913a757c916f0e31254278e080497807bed24e4978ce
 
 install : $(TARGET)
 