diff --git a/config/rootfiles/common/rust-serde_json b/config/rootfiles/common/rust-serde_json
index b5e7c1fc6..eca9aef97 100644
--- a/config/rootfiles/common/rust-serde_json
+++ b/config/rootfiles/common/rust-serde_json
@@ -1,96 +1,95 @@
-#usr/share/cargo/registry/serde_json-1.0.78
-#usr/share/cargo/registry/serde_json-1.0.78/.cargo-checksum.json
-#usr/share/cargo/registry/serde_json-1.0.78/CONTRIBUTING.md
-#usr/share/cargo/registry/serde_json-1.0.78/Cargo.toml
-#usr/share/cargo/registry/serde_json-1.0.78/Cargo.toml.deps
-#usr/share/cargo/registry/serde_json-1.0.78/LICENSE-APACHE
-#usr/share/cargo/registry/serde_json-1.0.78/LICENSE-MIT
-#usr/share/cargo/registry/serde_json-1.0.78/README.md
-#usr/share/cargo/registry/serde_json-1.0.78/build.rs
-#usr/share/cargo/registry/serde_json-1.0.78/src
-#usr/share/cargo/registry/serde_json-1.0.78/src/de.rs
-#usr/share/cargo/registry/serde_json-1.0.78/src/error.rs
-#usr/share/cargo/registry/serde_json-1.0.78/src/features_check
-#usr/share/cargo/registry/serde_json-1.0.78/src/features_check/error.rs
-#usr/share/cargo/registry/serde_json-1.0.78/src/features_check/mod.rs
-#usr/share/cargo/registry/serde_json-1.0.78/src/io
-#usr/share/cargo/registry/serde_json-1.0.78/src/io/core.rs
-#usr/share/cargo/registry/serde_json-1.0.78/src/io/mod.rs
-#usr/share/cargo/registry/serde_json-1.0.78/src/iter.rs
-#usr/share/cargo/registry/serde_json-1.0.78/src/lexical
-#usr/share/cargo/registry/serde_json-1.0.78/src/lexical/algorithm.rs
-#usr/share/cargo/registry/serde_json-1.0.78/src/lexical/bhcomp.rs
-#usr/share/cargo/registry/serde_json-1.0.78/src/lexical/bignum.rs
-#usr/share/cargo/registry/serde_json-1.0.78/src/lexical/cached.rs
-#usr/share/cargo/registry/serde_json-1.0.78/src/lexical/cached_float80.rs
-#usr/share/cargo/registry/serde_json-1.0.78/src/lexical/digit.rs
-#usr/share/cargo/registry/serde_json-1.0.78/src/lexical/errors.rs
-#usr/share/cargo/registry/serde_json-1.0.78/src/lexical/exponent.rs
-#usr/share/cargo/registry/serde_json-1.0.78/src/lexical/float.rs
-#usr/share/cargo/registry/serde_json-1.0.78/src/lexical/large_powers.rs
-#usr/share/cargo/registry/serde_json-1.0.78/src/lexical/large_powers32.rs
-#usr/share/cargo/registry/serde_json-1.0.78/src/lexical/large_powers64.rs
-#usr/share/cargo/registry/serde_json-1.0.78/src/lexical/math.rs
-#usr/share/cargo/registry/serde_json-1.0.78/src/lexical/mod.rs
-#usr/share/cargo/registry/serde_json-1.0.78/src/lexical/num.rs
-#usr/share/cargo/registry/serde_json-1.0.78/src/lexical/parse.rs
-#usr/share/cargo/registry/serde_json-1.0.78/src/lexical/rounding.rs
-#usr/share/cargo/registry/serde_json-1.0.78/src/lexical/shift.rs
-#usr/share/cargo/registry/serde_json-1.0.78/src/lexical/small_powers.rs
-#usr/share/cargo/registry/serde_json-1.0.78/src/lib.rs
-#usr/share/cargo/registry/serde_json-1.0.78/src/macros.rs
-#usr/share/cargo/registry/serde_json-1.0.78/src/map.rs
-#usr/share/cargo/registry/serde_json-1.0.78/src/number.rs
-#usr/share/cargo/registry/serde_json-1.0.78/src/raw.rs
-#usr/share/cargo/registry/serde_json-1.0.78/src/read.rs
-#usr/share/cargo/registry/serde_json-1.0.78/src/ser.rs
-#usr/share/cargo/registry/serde_json-1.0.78/src/value
-#usr/share/cargo/registry/serde_json-1.0.78/src/value/de.rs
-#usr/share/cargo/registry/serde_json-1.0.78/src/value/from.rs
-#usr/share/cargo/registry/serde_json-1.0.78/src/value/index.rs
-#usr/share/cargo/registry/serde_json-1.0.78/src/value/mod.rs
-#usr/share/cargo/registry/serde_json-1.0.78/src/value/partial_eq.rs
-#usr/share/cargo/registry/serde_json-1.0.78/src/value/ser.rs
-#usr/share/cargo/registry/serde_json-1.0.78/tests
-#usr/share/cargo/registry/serde_json-1.0.78/tests/compiletest.rs
-#usr/share/cargo/registry/serde_json-1.0.78/tests/debug.rs
-#usr/share/cargo/registry/serde_json-1.0.78/tests/lexical
-#usr/share/cargo/registry/serde_json-1.0.78/tests/lexical.rs
-#usr/share/cargo/registry/serde_json-1.0.78/tests/lexical/algorithm.rs
-#usr/share/cargo/registry/serde_json-1.0.78/tests/lexical/exponent.rs
-#usr/share/cargo/registry/serde_json-1.0.78/tests/lexical/float.rs
-#usr/share/cargo/registry/serde_json-1.0.78/tests/lexical/math.rs
-#usr/share/cargo/registry/serde_json-1.0.78/tests/lexical/num.rs
-#usr/share/cargo/registry/serde_json-1.0.78/tests/lexical/parse.rs
-#usr/share/cargo/registry/serde_json-1.0.78/tests/lexical/rounding.rs
-#usr/share/cargo/registry/serde_json-1.0.78/tests/macros
-#usr/share/cargo/registry/serde_json-1.0.78/tests/macros/mod.rs
-#usr/share/cargo/registry/serde_json-1.0.78/tests/map.rs
-#usr/share/cargo/registry/serde_json-1.0.78/tests/regression
-#usr/share/cargo/registry/serde_json-1.0.78/tests/regression.rs
-#usr/share/cargo/registry/serde_json-1.0.78/tests/regression/issue520.rs
-#usr/share/cargo/registry/serde_json-1.0.78/tests/regression/issue795.rs
-#usr/share/cargo/registry/serde_json-1.0.78/tests/regression/issue845.rs
-#usr/share/cargo/registry/serde_json-1.0.78/tests/stream.rs
-#usr/share/cargo/registry/serde_json-1.0.78/tests/test.rs
-#usr/share/cargo/registry/serde_json-1.0.78/tests/ui
-#usr/share/cargo/registry/serde_json-1.0.78/tests/ui/missing_colon.rs
-#usr/share/cargo/registry/serde_json-1.0.78/tests/ui/missing_colon.stderr
-#usr/share/cargo/registry/serde_json-1.0.78/tests/ui/missing_comma.rs
-#usr/share/cargo/registry/serde_json-1.0.78/tests/ui/missing_comma.stderr
-#usr/share/cargo/registry/serde_json-1.0.78/tests/ui/missing_value.rs
-#usr/share/cargo/registry/serde_json-1.0.78/tests/ui/missing_value.stderr
-#usr/share/cargo/registry/serde_json-1.0.78/tests/ui/not_found.rs
-#usr/share/cargo/registry/serde_json-1.0.78/tests/ui/not_found.stderr
-#usr/share/cargo/registry/serde_json-1.0.78/tests/ui/parse_expr.rs
-#usr/share/cargo/registry/serde_json-1.0.78/tests/ui/parse_expr.stderr
-#usr/share/cargo/registry/serde_json-1.0.78/tests/ui/parse_key.rs
-#usr/share/cargo/registry/serde_json-1.0.78/tests/ui/parse_key.stderr
-#usr/share/cargo/registry/serde_json-1.0.78/tests/ui/unexpected_after_array_element.rs
-#usr/share/cargo/registry/serde_json-1.0.78/tests/ui/unexpected_after_array_element.stderr
-#usr/share/cargo/registry/serde_json-1.0.78/tests/ui/unexpected_after_map_entry.rs
-#usr/share/cargo/registry/serde_json-1.0.78/tests/ui/unexpected_after_map_entry.stderr
-#usr/share/cargo/registry/serde_json-1.0.78/tests/ui/unexpected_colon.rs
-#usr/share/cargo/registry/serde_json-1.0.78/tests/ui/unexpected_colon.stderr
-#usr/share/cargo/registry/serde_json-1.0.78/tests/ui/unexpected_comma.rs
-#usr/share/cargo/registry/serde_json-1.0.78/tests/ui/unexpected_comma.stderr
+#usr/share/cargo/registry/serde_json-1.0.133
+#usr/share/cargo/registry/serde_json-1.0.133/.cargo-checksum.json
+#usr/share/cargo/registry/serde_json-1.0.133/CONTRIBUTING.md
+#usr/share/cargo/registry/serde_json-1.0.133/Cargo.toml
+#usr/share/cargo/registry/serde_json-1.0.133/Cargo.toml.deps
+#usr/share/cargo/registry/serde_json-1.0.133/LICENSE-APACHE
+#usr/share/cargo/registry/serde_json-1.0.133/LICENSE-MIT
+#usr/share/cargo/registry/serde_json-1.0.133/README.md
+#usr/share/cargo/registry/serde_json-1.0.133/build.rs
+#usr/share/cargo/registry/serde_json-1.0.133/src
+#usr/share/cargo/registry/serde_json-1.0.133/src/de.rs
+#usr/share/cargo/registry/serde_json-1.0.133/src/error.rs
+#usr/share/cargo/registry/serde_json-1.0.133/src/io
+#usr/share/cargo/registry/serde_json-1.0.133/src/io/core.rs
+#usr/share/cargo/registry/serde_json-1.0.133/src/io/mod.rs
+#usr/share/cargo/registry/serde_json-1.0.133/src/iter.rs
+#usr/share/cargo/registry/serde_json-1.0.133/src/lexical
+#usr/share/cargo/registry/serde_json-1.0.133/src/lexical/algorithm.rs
+#usr/share/cargo/registry/serde_json-1.0.133/src/lexical/bhcomp.rs
+#usr/share/cargo/registry/serde_json-1.0.133/src/lexical/bignum.rs
+#usr/share/cargo/registry/serde_json-1.0.133/src/lexical/cached.rs
+#usr/share/cargo/registry/serde_json-1.0.133/src/lexical/cached_float80.rs
+#usr/share/cargo/registry/serde_json-1.0.133/src/lexical/digit.rs
+#usr/share/cargo/registry/serde_json-1.0.133/src/lexical/errors.rs
+#usr/share/cargo/registry/serde_json-1.0.133/src/lexical/exponent.rs
+#usr/share/cargo/registry/serde_json-1.0.133/src/lexical/float.rs
+#usr/share/cargo/registry/serde_json-1.0.133/src/lexical/large_powers.rs
+#usr/share/cargo/registry/serde_json-1.0.133/src/lexical/large_powers32.rs
+#usr/share/cargo/registry/serde_json-1.0.133/src/lexical/large_powers64.rs
+#usr/share/cargo/registry/serde_json-1.0.133/src/lexical/math.rs
+#usr/share/cargo/registry/serde_json-1.0.133/src/lexical/mod.rs
+#usr/share/cargo/registry/serde_json-1.0.133/src/lexical/num.rs
+#usr/share/cargo/registry/serde_json-1.0.133/src/lexical/parse.rs
+#usr/share/cargo/registry/serde_json-1.0.133/src/lexical/rounding.rs
+#usr/share/cargo/registry/serde_json-1.0.133/src/lexical/shift.rs
+#usr/share/cargo/registry/serde_json-1.0.133/src/lexical/small_powers.rs
+#usr/share/cargo/registry/serde_json-1.0.133/src/lib.rs
+#usr/share/cargo/registry/serde_json-1.0.133/src/macros.rs
+#usr/share/cargo/registry/serde_json-1.0.133/src/map.rs
+#usr/share/cargo/registry/serde_json-1.0.133/src/number.rs
+#usr/share/cargo/registry/serde_json-1.0.133/src/raw.rs
+#usr/share/cargo/registry/serde_json-1.0.133/src/read.rs
+#usr/share/cargo/registry/serde_json-1.0.133/src/ser.rs
+#usr/share/cargo/registry/serde_json-1.0.133/src/value
+#usr/share/cargo/registry/serde_json-1.0.133/src/value/de.rs
+#usr/share/cargo/registry/serde_json-1.0.133/src/value/from.rs
+#usr/share/cargo/registry/serde_json-1.0.133/src/value/index.rs
+#usr/share/cargo/registry/serde_json-1.0.133/src/value/mod.rs
+#usr/share/cargo/registry/serde_json-1.0.133/src/value/partial_eq.rs
+#usr/share/cargo/registry/serde_json-1.0.133/src/value/ser.rs
+#usr/share/cargo/registry/serde_json-1.0.133/tests
+#usr/share/cargo/registry/serde_json-1.0.133/tests/compiletest.rs
+#usr/share/cargo/registry/serde_json-1.0.133/tests/debug.rs
+#usr/share/cargo/registry/serde_json-1.0.133/tests/lexical
+#usr/share/cargo/registry/serde_json-1.0.133/tests/lexical.rs
+#usr/share/cargo/registry/serde_json-1.0.133/tests/lexical/algorithm.rs
+#usr/share/cargo/registry/serde_json-1.0.133/tests/lexical/exponent.rs
+#usr/share/cargo/registry/serde_json-1.0.133/tests/lexical/float.rs
+#usr/share/cargo/registry/serde_json-1.0.133/tests/lexical/math.rs
+#usr/share/cargo/registry/serde_json-1.0.133/tests/lexical/num.rs
+#usr/share/cargo/registry/serde_json-1.0.133/tests/lexical/parse.rs
+#usr/share/cargo/registry/serde_json-1.0.133/tests/lexical/rounding.rs
+#usr/share/cargo/registry/serde_json-1.0.133/tests/macros
+#usr/share/cargo/registry/serde_json-1.0.133/tests/macros/mod.rs
+#usr/share/cargo/registry/serde_json-1.0.133/tests/map.rs
+#usr/share/cargo/registry/serde_json-1.0.133/tests/regression
+#usr/share/cargo/registry/serde_json-1.0.133/tests/regression.rs
+#usr/share/cargo/registry/serde_json-1.0.133/tests/regression/issue1004.rs
+#usr/share/cargo/registry/serde_json-1.0.133/tests/regression/issue520.rs
+#usr/share/cargo/registry/serde_json-1.0.133/tests/regression/issue795.rs
+#usr/share/cargo/registry/serde_json-1.0.133/tests/regression/issue845.rs
+#usr/share/cargo/registry/serde_json-1.0.133/tests/regression/issue953.rs
+#usr/share/cargo/registry/serde_json-1.0.133/tests/stream.rs
+#usr/share/cargo/registry/serde_json-1.0.133/tests/test.rs
+#usr/share/cargo/registry/serde_json-1.0.133/tests/ui
+#usr/share/cargo/registry/serde_json-1.0.133/tests/ui/missing_colon.rs
+#usr/share/cargo/registry/serde_json-1.0.133/tests/ui/missing_colon.stderr
+#usr/share/cargo/registry/serde_json-1.0.133/tests/ui/missing_comma.rs
+#usr/share/cargo/registry/serde_json-1.0.133/tests/ui/missing_comma.stderr
+#usr/share/cargo/registry/serde_json-1.0.133/tests/ui/missing_value.rs
+#usr/share/cargo/registry/serde_json-1.0.133/tests/ui/missing_value.stderr
+#usr/share/cargo/registry/serde_json-1.0.133/tests/ui/not_found.rs
+#usr/share/cargo/registry/serde_json-1.0.133/tests/ui/not_found.stderr
+#usr/share/cargo/registry/serde_json-1.0.133/tests/ui/parse_expr.rs
+#usr/share/cargo/registry/serde_json-1.0.133/tests/ui/parse_expr.stderr
+#usr/share/cargo/registry/serde_json-1.0.133/tests/ui/parse_key.rs
+#usr/share/cargo/registry/serde_json-1.0.133/tests/ui/parse_key.stderr
+#usr/share/cargo/registry/serde_json-1.0.133/tests/ui/unexpected_after_array_element.rs
+#usr/share/cargo/registry/serde_json-1.0.133/tests/ui/unexpected_after_array_element.stderr
+#usr/share/cargo/registry/serde_json-1.0.133/tests/ui/unexpected_after_map_entry.rs
+#usr/share/cargo/registry/serde_json-1.0.133/tests/ui/unexpected_after_map_entry.stderr
+#usr/share/cargo/registry/serde_json-1.0.133/tests/ui/unexpected_colon.rs
+#usr/share/cargo/registry/serde_json-1.0.133/tests/ui/unexpected_colon.stderr
+#usr/share/cargo/registry/serde_json-1.0.133/tests/ui/unexpected_comma.rs
+#usr/share/cargo/registry/serde_json-1.0.133/tests/ui/unexpected_comma.stderr
diff --git a/lfs/rust-serde_json b/lfs/rust-serde_json
index 9549d0894..015bc2401 100644
--- a/lfs/rust-serde_json
+++ b/lfs/rust-serde_json
@@ -1,7 +1,7 @@
 ###############################################################################
 #                                                                             #
 # IPFire.org - A linux based firewall                                         #
-# Copyright (C) 2007-2018  IPFire Team  <info@ipfire.org>                     #
+# Copyright (C) 2007-2024  IPFire Team  <info@ipfire.org>                     #
 #                                                                             #
 # This program is free software: you can redistribute it and/or modify        #
 # it under the terms of the GNU General Public License as published by        #
@@ -24,7 +24,7 @@
 
 include Config
 
-VER        = 1.0.78
+VER        = 1.0.133
 
 THISAPP    = serde_json-$(VER)
 DL_FILE    = $(THISAPP).tar.gz
@@ -40,7 +40,7 @@ objects = $(DL_FILE)
 
 $(DL_FILE) = $(DL_FROM)/$(DL_FILE)
 
-$(DL_FILE)_BLAKE2 = 840477a9eeedf75834f18435fc8d6d8b8b35cf45842b6f42158afbf2404293a31b80e07802ca3b7215d37335db0d1365709e5b1ec68c55d6a47317e732779e39
+$(DL_FILE)_BLAKE2 = 7891eb5b8edcc7fd09ab1e15d3881ffdcb629aa39f2bd758c0505700a5f2dfabd85b1b66c3b094268bc1627b346e204c792f4ca61efa76c54ab9cd5744fb0ee2
 
 install : $(TARGET)
 
@@ -73,11 +73,7 @@ $(subst %,%_BLAKE2,$(objects)) :
 $(TARGET) : $(patsubst %,$(DIR_DL)/%,$(objects))
 	@$(PREBUILD)
 	@rm -rf $(DIR_APP) && cd $(DIR_SRC) && tar zxf $(DIR_DL)/$(DL_FILE)
-
-	cd $(DIR_APP) && if [ -f Cargo.toml.orig ]; then \
-		rm -f Cargo.toml.orig; \
-	fi; \
-
+	cd $(DIR_APP) && rm Cargo.toml.orig
 	cd $(DIR_APP) && $(CARGO_PREPARE)
 	cd $(DIR_APP) && $(CARGO_BUILD)
 	cd $(DIR_APP) && $(CARGO_INSTALL)