diff --git a/config/rootfiles/common/rust-foldhash b/config/rootfiles/common/rust-foldhash
new file mode 100644
index 000000000..4893de709
--- /dev/null
+++ b/config/rootfiles/common/rust-foldhash
@@ -0,0 +1,10 @@
+#usr/share/cargo/registry/foldhash-0.1.3
+#usr/share/cargo/registry/foldhash-0.1.3/.cargo-checksum.json
+#usr/share/cargo/registry/foldhash-0.1.3/Cargo.toml
+#usr/share/cargo/registry/foldhash-0.1.3/Cargo.toml.deps
+#usr/share/cargo/registry/foldhash-0.1.3/LICENSE
+#usr/share/cargo/registry/foldhash-0.1.3/README.md
+#usr/share/cargo/registry/foldhash-0.1.3/src
+#usr/share/cargo/registry/foldhash-0.1.3/src/convenience.rs
+#usr/share/cargo/registry/foldhash-0.1.3/src/lib.rs
+#usr/share/cargo/registry/foldhash-0.1.3/src/seed.rs
diff --git a/lfs/rust-foldhash b/lfs/rust-foldhash
new file mode 100644
index 000000000..875367606
--- /dev/null
+++ b/lfs/rust-foldhash
@@ -0,0 +1,81 @@
+###############################################################################
+#                                                                             #
+# IPFire.org - A linux based firewall                                         #
+# Copyright (C) 2007-2024  IPFire Team  <info@ipfire.org>                     #
+#                                                                             #
+# This program is free software: you can redistribute it and/or modify        #
+# it under the terms of the GNU General Public License as published by        #
+# the Free Software Foundation, either version 3 of the License, or           #
+# (at your option) any later version.                                         #
+#                                                                             #
+# This program is distributed in the hope that it will be useful,             #
+# but WITHOUT ANY WARRANTY; without even the implied warranty of              #
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the               #
+# GNU General Public License for more details.                                #
+#                                                                             #
+# You should have received a copy of the GNU General Public License           #
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.       #
+#                                                                             #
+###############################################################################
+
+###############################################################################
+# Definitions
+###############################################################################
+
+include Config
+
+VER        = 0.1.3
+
+THISAPP    = foldhash-$(VER)
+DL_FILE    = $(THISAPP).tar.gz
+DL_FROM    = $(URL_IPFIRE)
+DIR_APP    = $(DIR_SRC)/$(THISAPP)
+TARGET     = $(DIR_INFO)/$(THISAPP)
+
+###############################################################################
+# Top-level Rules
+###############################################################################
+
+objects = $(DL_FILE)
+
+$(DL_FILE) = $(DL_FROM)/$(DL_FILE)
+
+$(DL_FILE)_BLAKE2 = e5913d3aa493d0176af9650354d98870b7e97523ca743a7d9605da3f559463654f391e42438d96fc797397ced449f13ce499c20ed5db7aec772aae97c5f29175
+
+install : $(TARGET)
+
+check : $(patsubst %,$(DIR_CHK)/%,$(objects))
+
+download :$(patsubst %,$(DIR_DL)/%,$(objects))
+
+b2 : $(subst %,%_BLAKE2,$(objects))
+
+dist:
+	@$(PAK)
+
+###############################################################################
+# Downloading, checking, b2sum
+###############################################################################
+
+$(patsubst %,$(DIR_CHK)/%,$(objects)) :
+	@$(CHECK)
+
+$(patsubst %,$(DIR_DL)/%,$(objects)) :
+	@$(LOAD)
+
+$(subst %,%_BLAKE2,$(objects)) :
+	@$(B2SUM)
+
+###############################################################################
+# Installation Details
+###############################################################################
+
+$(TARGET) : $(patsubst %,$(DIR_DL)/%,$(objects))
+	@$(PREBUILD)
+	@rm -rf $(DIR_APP) && cd $(DIR_SRC) && tar zxf $(DIR_DL)/$(DL_FILE)
+	cd $(DIR_APP) && rm Cargo.toml.orig
+	cd $(DIR_APP) && $(CARGO_PREPARE)
+	cd $(DIR_APP) && $(CARGO_BUILD)
+	cd $(DIR_APP) && $(CARGO_INSTALL)
+	@rm -rf $(DIR_APP)
+	@$(POSTBUILD)