diff --git a/config/rootfiles/common/rust-unicode-ident b/config/rootfiles/common/rust-unicode-ident
new file mode 100644
index 000000000..04b3cec99
--- /dev/null
+++ b/config/rootfiles/common/rust-unicode-ident
@@ -0,0 +1,28 @@
+#usr/share/cargo/registry/unicode-ident-1.0.14
+#usr/share/cargo/registry/unicode-ident-1.0.14/.cargo-checksum.json
+#usr/share/cargo/registry/unicode-ident-1.0.14/Cargo.toml
+#usr/share/cargo/registry/unicode-ident-1.0.14/Cargo.toml.deps
+#usr/share/cargo/registry/unicode-ident-1.0.14/LICENSE-APACHE
+#usr/share/cargo/registry/unicode-ident-1.0.14/LICENSE-MIT
+#usr/share/cargo/registry/unicode-ident-1.0.14/LICENSE-UNICODE
+#usr/share/cargo/registry/unicode-ident-1.0.14/README.md
+#usr/share/cargo/registry/unicode-ident-1.0.14/benches
+#usr/share/cargo/registry/unicode-ident-1.0.14/benches/xid.rs
+#usr/share/cargo/registry/unicode-ident-1.0.14/src
+#usr/share/cargo/registry/unicode-ident-1.0.14/src/lib.rs
+#usr/share/cargo/registry/unicode-ident-1.0.14/src/tables.rs
+#usr/share/cargo/registry/unicode-ident-1.0.14/tests
+#usr/share/cargo/registry/unicode-ident-1.0.14/tests/compare.rs
+#usr/share/cargo/registry/unicode-ident-1.0.14/tests/fst
+#usr/share/cargo/registry/unicode-ident-1.0.14/tests/fst/mod.rs
+#usr/share/cargo/registry/unicode-ident-1.0.14/tests/fst/xid_continue.fst
+#usr/share/cargo/registry/unicode-ident-1.0.14/tests/fst/xid_start.fst
+#usr/share/cargo/registry/unicode-ident-1.0.14/tests/roaring
+#usr/share/cargo/registry/unicode-ident-1.0.14/tests/roaring/mod.rs
+#usr/share/cargo/registry/unicode-ident-1.0.14/tests/static_size.rs
+#usr/share/cargo/registry/unicode-ident-1.0.14/tests/tables
+#usr/share/cargo/registry/unicode-ident-1.0.14/tests/tables/mod.rs
+#usr/share/cargo/registry/unicode-ident-1.0.14/tests/tables/tables.rs
+#usr/share/cargo/registry/unicode-ident-1.0.14/tests/trie
+#usr/share/cargo/registry/unicode-ident-1.0.14/tests/trie/mod.rs
+#usr/share/cargo/registry/unicode-ident-1.0.14/tests/trie/trie.rs
diff --git a/lfs/rust-unicode-ident b/lfs/rust-unicode-ident
new file mode 100644
index 000000000..a3708d9eb
--- /dev/null
+++ b/lfs/rust-unicode-ident
@@ -0,0 +1,81 @@
+###############################################################################
+#                                                                             #
+# IPFire.org - A linux based firewall                                         #
+# Copyright (C) 2007-2024  IPFire Team  <info@ipfire.org>                     #
+#                                                                             #
+# This program is free software: you can redistribute it and/or modify        #
+# it under the terms of the GNU General Public License as published by        #
+# the Free Software Foundation, either version 3 of the License, or           #
+# (at your option) any later version.                                         #
+#                                                                             #
+# This program is distributed in the hope that it will be useful,             #
+# but WITHOUT ANY WARRANTY; without even the implied warranty of              #
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the               #
+# GNU General Public License for more details.                                #
+#                                                                             #
+# You should have received a copy of the GNU General Public License           #
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.       #
+#                                                                             #
+###############################################################################
+
+###############################################################################
+# Definitions
+###############################################################################
+
+include Config
+
+VER        = 1.0.14
+
+THISAPP    = unicode-ident-$(VER)
+DL_FILE    = $(THISAPP).tar.gz
+DL_FROM    = $(URL_IPFIRE)
+DIR_APP    = $(DIR_SRC)/$(THISAPP)
+TARGET     = $(DIR_INFO)/$(THISAPP)
+
+###############################################################################
+# Top-level Rules
+###############################################################################
+
+objects = $(DL_FILE)
+
+$(DL_FILE) = $(DL_FROM)/$(DL_FILE)
+
+$(DL_FILE)_BLAKE2 = 30e0b6d7f3a967aaf5b9d91237008a60c3a8ded53bda901696e23cea3931dd71b01ddab866dca9e31e17c395d5f5a68f2a938655b693e894962568c2cff5ca15
+
+install : $(TARGET)
+
+check : $(patsubst %,$(DIR_CHK)/%,$(objects))
+
+download :$(patsubst %,$(DIR_DL)/%,$(objects))
+
+b2 : $(subst %,%_BLAKE2,$(objects))
+
+dist:
+	@$(PAK)
+
+###############################################################################
+# Downloading, checking, b2sum
+###############################################################################
+
+$(patsubst %,$(DIR_CHK)/%,$(objects)) :
+	@$(CHECK)
+
+$(patsubst %,$(DIR_DL)/%,$(objects)) :
+	@$(LOAD)
+
+$(subst %,%_BLAKE2,$(objects)) :
+	@$(B2SUM)
+
+###############################################################################
+# Installation Details
+###############################################################################
+
+$(TARGET) : $(patsubst %,$(DIR_DL)/%,$(objects))
+	@$(PREBUILD)
+	@rm -rf $(DIR_APP) && cd $(DIR_SRC) && tar zxf $(DIR_DL)/$(DL_FILE)
+	cd $(DIR_APP) && rm Cargo.toml.orig
+	cd $(DIR_APP) && $(CARGO_PREPARE)
+	cd $(DIR_APP) && $(CARGO_BUILD)
+	cd $(DIR_APP) && $(CARGO_INSTALL)
+	@rm -rf $(DIR_APP)
+	@$(POSTBUILD)