diff --git a/config/rootfiles/common/rust-winnow b/config/rootfiles/common/rust-winnow
new file mode 100644
index 000000000..521ad6bed
--- /dev/null
+++ b/config/rootfiles/common/rust-winnow
@@ -0,0 +1,113 @@
+#usr/share/cargo/registry/winnow-0.6.20
+#usr/share/cargo/registry/winnow-0.6.20/.cargo-checksum.json
+#usr/share/cargo/registry/winnow-0.6.20/Cargo.toml
+#usr/share/cargo/registry/winnow-0.6.20/LICENSE-MIT
+#usr/share/cargo/registry/winnow-0.6.20/README.md
+#usr/share/cargo/registry/winnow-0.6.20/benches
+#usr/share/cargo/registry/winnow-0.6.20/benches/contains_token.rs
+#usr/share/cargo/registry/winnow-0.6.20/benches/find_slice.rs
+#usr/share/cargo/registry/winnow-0.6.20/benches/iter.rs
+#usr/share/cargo/registry/winnow-0.6.20/benches/next_slice.rs
+#usr/share/cargo/registry/winnow-0.6.20/benches/number.rs
+#usr/share/cargo/registry/winnow-0.6.20/examples
+#usr/share/cargo/registry/winnow-0.6.20/examples/arithmetic
+#usr/share/cargo/registry/winnow-0.6.20/examples/arithmetic/bench.rs
+#usr/share/cargo/registry/winnow-0.6.20/examples/arithmetic/main.rs
+#usr/share/cargo/registry/winnow-0.6.20/examples/arithmetic/parser.rs
+#usr/share/cargo/registry/winnow-0.6.20/examples/arithmetic/parser_ast.rs
+#usr/share/cargo/registry/winnow-0.6.20/examples/arithmetic/parser_lexer.rs
+#usr/share/cargo/registry/winnow-0.6.20/examples/css
+#usr/share/cargo/registry/winnow-0.6.20/examples/css/main.rs
+#usr/share/cargo/registry/winnow-0.6.20/examples/css/parser.rs
+#usr/share/cargo/registry/winnow-0.6.20/examples/custom_error.rs
+#usr/share/cargo/registry/winnow-0.6.20/examples/http
+#usr/share/cargo/registry/winnow-0.6.20/examples/http/bench.rs
+#usr/share/cargo/registry/winnow-0.6.20/examples/http/main.rs
+#usr/share/cargo/registry/winnow-0.6.20/examples/http/parser.rs
+#usr/share/cargo/registry/winnow-0.6.20/examples/http/parser_streaming.rs
+#usr/share/cargo/registry/winnow-0.6.20/examples/ini
+#usr/share/cargo/registry/winnow-0.6.20/examples/ini/bench.rs
+#usr/share/cargo/registry/winnow-0.6.20/examples/ini/main.rs
+#usr/share/cargo/registry/winnow-0.6.20/examples/ini/parser.rs
+#usr/share/cargo/registry/winnow-0.6.20/examples/ini/parser_str.rs
+#usr/share/cargo/registry/winnow-0.6.20/examples/iterator.rs
+#usr/share/cargo/registry/winnow-0.6.20/examples/json
+#usr/share/cargo/registry/winnow-0.6.20/examples/json/bench.rs
+#usr/share/cargo/registry/winnow-0.6.20/examples/json/json.rs
+#usr/share/cargo/registry/winnow-0.6.20/examples/json/main.rs
+#usr/share/cargo/registry/winnow-0.6.20/examples/json/parser.rs
+#usr/share/cargo/registry/winnow-0.6.20/examples/json/parser_dispatch.rs
+#usr/share/cargo/registry/winnow-0.6.20/examples/json/parser_partial.rs
+#usr/share/cargo/registry/winnow-0.6.20/examples/json_iterator.rs
+#usr/share/cargo/registry/winnow-0.6.20/examples/ndjson
+#usr/share/cargo/registry/winnow-0.6.20/examples/ndjson/example.ndjson
+#usr/share/cargo/registry/winnow-0.6.20/examples/ndjson/main.rs
+#usr/share/cargo/registry/winnow-0.6.20/examples/ndjson/parser.rs
+#usr/share/cargo/registry/winnow-0.6.20/examples/s_expression
+#usr/share/cargo/registry/winnow-0.6.20/examples/s_expression/main.rs
+#usr/share/cargo/registry/winnow-0.6.20/examples/s_expression/parser.rs
+#usr/share/cargo/registry/winnow-0.6.20/examples/string
+#usr/share/cargo/registry/winnow-0.6.20/examples/string/main.rs
+#usr/share/cargo/registry/winnow-0.6.20/examples/string/parser.rs
+#usr/share/cargo/registry/winnow-0.6.20/src
+#usr/share/cargo/registry/winnow-0.6.20/src/_topic
+#usr/share/cargo/registry/winnow-0.6.20/src/_topic/arithmetic.rs
+#usr/share/cargo/registry/winnow-0.6.20/src/_topic/error.rs
+#usr/share/cargo/registry/winnow-0.6.20/src/_topic/fromstr.rs
+#usr/share/cargo/registry/winnow-0.6.20/src/_topic/http.rs
+#usr/share/cargo/registry/winnow-0.6.20/src/_topic/ini.rs
+#usr/share/cargo/registry/winnow-0.6.20/src/_topic/json.rs
+#usr/share/cargo/registry/winnow-0.6.20/src/_topic/language.rs
+#usr/share/cargo/registry/winnow-0.6.20/src/_topic/mod.rs
+#usr/share/cargo/registry/winnow-0.6.20/src/_topic/nom.rs
+#usr/share/cargo/registry/winnow-0.6.20/src/_topic/partial.rs
+#usr/share/cargo/registry/winnow-0.6.20/src/_topic/performance.rs
+#usr/share/cargo/registry/winnow-0.6.20/src/_topic/s_expression.rs
+#usr/share/cargo/registry/winnow-0.6.20/src/_topic/stream.rs
+#usr/share/cargo/registry/winnow-0.6.20/src/_topic/why.rs
+#usr/share/cargo/registry/winnow-0.6.20/src/_tutorial
+#usr/share/cargo/registry/winnow-0.6.20/src/_tutorial/chapter_0.rs
+#usr/share/cargo/registry/winnow-0.6.20/src/_tutorial/chapter_1.rs
+#usr/share/cargo/registry/winnow-0.6.20/src/_tutorial/chapter_2.rs
+#usr/share/cargo/registry/winnow-0.6.20/src/_tutorial/chapter_3.rs
+#usr/share/cargo/registry/winnow-0.6.20/src/_tutorial/chapter_4.rs
+#usr/share/cargo/registry/winnow-0.6.20/src/_tutorial/chapter_5.rs
+#usr/share/cargo/registry/winnow-0.6.20/src/_tutorial/chapter_6.rs
+#usr/share/cargo/registry/winnow-0.6.20/src/_tutorial/chapter_7.rs
+#usr/share/cargo/registry/winnow-0.6.20/src/_tutorial/chapter_8.rs
+#usr/share/cargo/registry/winnow-0.6.20/src/_tutorial/mod.rs
+#usr/share/cargo/registry/winnow-0.6.20/src/ascii
+#usr/share/cargo/registry/winnow-0.6.20/src/ascii/mod.rs
+#usr/share/cargo/registry/winnow-0.6.20/src/ascii/tests.rs
+#usr/share/cargo/registry/winnow-0.6.20/src/binary
+#usr/share/cargo/registry/winnow-0.6.20/src/binary/bits
+#usr/share/cargo/registry/winnow-0.6.20/src/binary/bits/mod.rs
+#usr/share/cargo/registry/winnow-0.6.20/src/binary/bits/tests.rs
+#usr/share/cargo/registry/winnow-0.6.20/src/binary/mod.rs
+#usr/share/cargo/registry/winnow-0.6.20/src/binary/tests.rs
+#usr/share/cargo/registry/winnow-0.6.20/src/combinator
+#usr/share/cargo/registry/winnow-0.6.20/src/combinator/branch.rs
+#usr/share/cargo/registry/winnow-0.6.20/src/combinator/core.rs
+#usr/share/cargo/registry/winnow-0.6.20/src/combinator/debug
+#usr/share/cargo/registry/winnow-0.6.20/src/combinator/debug/internals.rs
+#usr/share/cargo/registry/winnow-0.6.20/src/combinator/debug/mod.rs
+#usr/share/cargo/registry/winnow-0.6.20/src/combinator/mod.rs
+#usr/share/cargo/registry/winnow-0.6.20/src/combinator/multi.rs
+#usr/share/cargo/registry/winnow-0.6.20/src/combinator/parser.rs
+#usr/share/cargo/registry/winnow-0.6.20/src/combinator/sequence.rs
+#usr/share/cargo/registry/winnow-0.6.20/src/combinator/tests.rs
+#usr/share/cargo/registry/winnow-0.6.20/src/error.rs
+#usr/share/cargo/registry/winnow-0.6.20/src/lib.rs
+#usr/share/cargo/registry/winnow-0.6.20/src/macros
+#usr/share/cargo/registry/winnow-0.6.20/src/macros/dispatch.rs
+#usr/share/cargo/registry/winnow-0.6.20/src/macros/mod.rs
+#usr/share/cargo/registry/winnow-0.6.20/src/macros/seq.rs
+#usr/share/cargo/registry/winnow-0.6.20/src/macros/test.rs
+#usr/share/cargo/registry/winnow-0.6.20/src/parser.rs
+#usr/share/cargo/registry/winnow-0.6.20/src/stream
+#usr/share/cargo/registry/winnow-0.6.20/src/stream/impls.rs
+#usr/share/cargo/registry/winnow-0.6.20/src/stream/mod.rs
+#usr/share/cargo/registry/winnow-0.6.20/src/stream/tests.rs
+#usr/share/cargo/registry/winnow-0.6.20/src/token
+#usr/share/cargo/registry/winnow-0.6.20/src/token/mod.rs
+#usr/share/cargo/registry/winnow-0.6.20/src/token/tests.rs
diff --git a/lfs/rust-winnow b/lfs/rust-winnow
new file mode 100644
index 000000000..9b7e70b15
--- /dev/null
+++ b/lfs/rust-winnow
@@ -0,0 +1,81 @@
+###############################################################################
+#                                                                             #
+# IPFire.org - A linux based firewall                                         #
+# Copyright (C) 2007-2024  IPFire Team  <info@ipfire.org>                     #
+#                                                                             #
+# This program is free software: you can redistribute it and/or modify        #
+# it under the terms of the GNU General Public License as published by        #
+# the Free Software Foundation, either version 3 of the License, or           #
+# (at your option) any later version.                                         #
+#                                                                             #
+# This program is distributed in the hope that it will be useful,             #
+# but WITHOUT ANY WARRANTY; without even the implied warranty of              #
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the               #
+# GNU General Public License for more details.                                #
+#                                                                             #
+# You should have received a copy of the GNU General Public License           #
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.       #
+#                                                                             #
+###############################################################################
+
+###############################################################################
+# Definitions
+###############################################################################
+
+include Config
+
+VER        = 0.6.20
+
+THISAPP    = winnow-$(VER)
+DL_FILE    = $(THISAPP).tar.gz
+DL_FROM    = $(URL_IPFIRE)
+DIR_APP    = $(DIR_SRC)/$(THISAPP)
+TARGET     = $(DIR_INFO)/$(THISAPP)
+
+###############################################################################
+# Top-level Rules
+###############################################################################
+
+objects = $(DL_FILE)
+
+$(DL_FILE) = $(DL_FROM)/$(DL_FILE)
+
+$(DL_FILE)_BLAKE2 = b47ba6cd94ec80a72b51ad09c5cb9de350d2243295d3997732d5d3d9f8d08bd83e3129150fb24992243949120da1bd6091d580db5ff10258fd745afaa944c791
+
+install : $(TARGET)
+
+check : $(patsubst %,$(DIR_CHK)/%,$(objects))
+
+download :$(patsubst %,$(DIR_DL)/%,$(objects))
+
+b2 : $(subst %,%_BLAKE2,$(objects))
+
+dist:
+	@$(PAK)
+
+###############################################################################
+# Downloading, checking, b2sum
+###############################################################################
+
+$(patsubst %,$(DIR_CHK)/%,$(objects)) :
+	@$(CHECK)
+
+$(patsubst %,$(DIR_DL)/%,$(objects)) :
+	@$(LOAD)
+
+$(subst %,%_BLAKE2,$(objects)) :
+	@$(B2SUM)
+
+###############################################################################
+# Installation Details
+###############################################################################
+
+$(TARGET) : $(patsubst %,$(DIR_DL)/%,$(objects))
+	@$(PREBUILD)
+	@rm -rf $(DIR_APP) && cd $(DIR_SRC) && tar zxf $(DIR_DL)/$(DL_FILE)
+	cd $(DIR_APP) && rm Cargo.toml.orig
+	cd $(DIR_APP) && $(CARGO_PREPARE)
+	cd $(DIR_APP) && $(CARGO_BUILD)
+	cd $(DIR_APP) && $(CARGO_INSTALL)
+	@rm -rf $(DIR_APP)
+	@$(POSTBUILD)