diff --git a/config/rootfiles/common/strongswan b/config/rootfiles/common/strongswan
index a5f256e02..cd446d1e9 100644
--- a/config/rootfiles/common/strongswan
+++ b/config/rootfiles/common/strongswan
@@ -14,7 +14,6 @@ etc/strongswan.d
 etc/strongswan.d/charon
 etc/strongswan.d/charon-logging.conf
 etc/strongswan.d/charon.conf
-etc/strongswan.d/charon/aes.conf
 etc/strongswan.d/charon/attr.conf
 etc/strongswan.d/charon/ccm.conf
 etc/strongswan.d/charon/chapoly.conf
@@ -23,8 +22,6 @@ etc/strongswan.d/charon/constraints.conf
 etc/strongswan.d/charon/counters.conf
 etc/strongswan.d/charon/ctr.conf
 etc/strongswan.d/charon/curl.conf
-etc/strongswan.d/charon/curve25519.conf
-etc/strongswan.d/charon/des.conf
 etc/strongswan.d/charon/dhcp.conf
 etc/strongswan.d/charon/dnskey.conf
 etc/strongswan.d/charon/drbg.conf
@@ -38,26 +35,22 @@ etc/strongswan.d/charon/farp.conf
 etc/strongswan.d/charon/fips-prf.conf
 etc/strongswan.d/charon/gcm.conf
 etc/strongswan.d/charon/gcrypt.conf
-etc/strongswan.d/charon/gmp.conf
 etc/strongswan.d/charon/hmac.conf
 etc/strongswan.d/charon/kdf.conf
 etc/strongswan.d/charon/kernel-netlink.conf
-etc/strongswan.d/charon/md5.conf
 etc/strongswan.d/charon/mgf1.conf
+etc/strongswan.d/charon/ml.conf
 etc/strongswan.d/charon/nonce.conf
 etc/strongswan.d/charon/openssl.conf
 etc/strongswan.d/charon/pem.conf
 etc/strongswan.d/charon/pgp.conf
 etc/strongswan.d/charon/pkcs1.conf
-etc/strongswan.d/charon/pkcs12.conf
 etc/strongswan.d/charon/pkcs7.conf
 etc/strongswan.d/charon/pkcs8.conf
 etc/strongswan.d/charon/pubkey.conf
 etc/strongswan.d/charon/random.conf
 etc/strongswan.d/charon/resolve.conf
 etc/strongswan.d/charon/revocation.conf
-etc/strongswan.d/charon/sha1.conf
-etc/strongswan.d/charon/sha2.conf
 etc/strongswan.d/charon/sha3.conf
 etc/strongswan.d/charon/socket-default.conf
 etc/strongswan.d/charon/sshkey.conf
@@ -73,7 +66,6 @@ etc/strongswan.d/pki.conf
 etc/strongswan.d/starter.conf
 etc/strongswan.d/swanctl.conf
 #etc/swanctl
-etc/swanctl/bliss
 etc/swanctl/conf.d
 etc/swanctl/ecdsa
 etc/swanctl/pkcs12
@@ -111,7 +103,6 @@ usr/lib/ipsec/libvici.so
 usr/lib/ipsec/libvici.so.0
 usr/lib/ipsec/libvici.so.0.0.0
 #usr/lib/ipsec/plugins
-usr/lib/ipsec/plugins/libstrongswan-aes.so
 usr/lib/ipsec/plugins/libstrongswan-attr.so
 usr/lib/ipsec/plugins/libstrongswan-ccm.so
 usr/lib/ipsec/plugins/libstrongswan-chapoly.so
@@ -120,8 +111,6 @@ usr/lib/ipsec/plugins/libstrongswan-constraints.so
 usr/lib/ipsec/plugins/libstrongswan-counters.so
 usr/lib/ipsec/plugins/libstrongswan-ctr.so
 usr/lib/ipsec/plugins/libstrongswan-curl.so
-usr/lib/ipsec/plugins/libstrongswan-curve25519.so
-usr/lib/ipsec/plugins/libstrongswan-des.so
 usr/lib/ipsec/plugins/libstrongswan-dhcp.so
 usr/lib/ipsec/plugins/libstrongswan-dnskey.so
 usr/lib/ipsec/plugins/libstrongswan-drbg.so
@@ -135,26 +124,24 @@ usr/lib/ipsec/plugins/libstrongswan-farp.so
 usr/lib/ipsec/plugins/libstrongswan-fips-prf.so
 usr/lib/ipsec/plugins/libstrongswan-gcm.so
 usr/lib/ipsec/plugins/libstrongswan-gcrypt.so
-usr/lib/ipsec/plugins/libstrongswan-gmp.so
 usr/lib/ipsec/plugins/libstrongswan-hmac.so
 usr/lib/ipsec/plugins/libstrongswan-kdf.so
 usr/lib/ipsec/plugins/libstrongswan-kernel-netlink.so
-usr/lib/ipsec/plugins/libstrongswan-md5.so
 usr/lib/ipsec/plugins/libstrongswan-mgf1.so
+usr/lib/ipsec/plugins/libstrongswan-ml.so
+usr/lib/ipsec/plugins/libstrongswan-ml.so.0
+usr/lib/ipsec/plugins/libstrongswan-ml.so.0.0.0
 usr/lib/ipsec/plugins/libstrongswan-nonce.so
 usr/lib/ipsec/plugins/libstrongswan-openssl.so
 usr/lib/ipsec/plugins/libstrongswan-pem.so
 usr/lib/ipsec/plugins/libstrongswan-pgp.so
 usr/lib/ipsec/plugins/libstrongswan-pkcs1.so
-usr/lib/ipsec/plugins/libstrongswan-pkcs12.so
 usr/lib/ipsec/plugins/libstrongswan-pkcs7.so
 usr/lib/ipsec/plugins/libstrongswan-pkcs8.so
 usr/lib/ipsec/plugins/libstrongswan-pubkey.so
 usr/lib/ipsec/plugins/libstrongswan-random.so
 usr/lib/ipsec/plugins/libstrongswan-resolve.so
 usr/lib/ipsec/plugins/libstrongswan-revocation.so
-usr/lib/ipsec/plugins/libstrongswan-sha1.so
-usr/lib/ipsec/plugins/libstrongswan-sha2.so
 usr/lib/ipsec/plugins/libstrongswan-sha3.so
 usr/lib/ipsec/plugins/libstrongswan-socket-default.so
 usr/lib/ipsec/plugins/libstrongswan-sshkey.so
@@ -202,7 +189,6 @@ usr/sbin/swanctl
 #usr/share/strongswan/templates
 #usr/share/strongswan/templates/config
 #usr/share/strongswan/templates/config/plugins
-#usr/share/strongswan/templates/config/plugins/aes.conf
 #usr/share/strongswan/templates/config/plugins/attr.conf
 #usr/share/strongswan/templates/config/plugins/ccm.conf
 #usr/share/strongswan/templates/config/plugins/chapoly.conf
@@ -211,8 +197,6 @@ usr/sbin/swanctl
 #usr/share/strongswan/templates/config/plugins/counters.conf
 #usr/share/strongswan/templates/config/plugins/ctr.conf
 #usr/share/strongswan/templates/config/plugins/curl.conf
-#usr/share/strongswan/templates/config/plugins/curve25519.conf
-#usr/share/strongswan/templates/config/plugins/des.conf
 #usr/share/strongswan/templates/config/plugins/dhcp.conf
 #usr/share/strongswan/templates/config/plugins/dnskey.conf
 #usr/share/strongswan/templates/config/plugins/drbg.conf
@@ -226,26 +210,22 @@ usr/sbin/swanctl
 #usr/share/strongswan/templates/config/plugins/fips-prf.conf
 #usr/share/strongswan/templates/config/plugins/gcm.conf
 #usr/share/strongswan/templates/config/plugins/gcrypt.conf
-#usr/share/strongswan/templates/config/plugins/gmp.conf
 #usr/share/strongswan/templates/config/plugins/hmac.conf
 #usr/share/strongswan/templates/config/plugins/kdf.conf
 #usr/share/strongswan/templates/config/plugins/kernel-netlink.conf
-#usr/share/strongswan/templates/config/plugins/md5.conf
 #usr/share/strongswan/templates/config/plugins/mgf1.conf
+#usr/share/strongswan/templates/config/plugins/ml.conf
 #usr/share/strongswan/templates/config/plugins/nonce.conf
 #usr/share/strongswan/templates/config/plugins/openssl.conf
 #usr/share/strongswan/templates/config/plugins/pem.conf
 #usr/share/strongswan/templates/config/plugins/pgp.conf
 #usr/share/strongswan/templates/config/plugins/pkcs1.conf
-#usr/share/strongswan/templates/config/plugins/pkcs12.conf
 #usr/share/strongswan/templates/config/plugins/pkcs7.conf
 #usr/share/strongswan/templates/config/plugins/pkcs8.conf
 #usr/share/strongswan/templates/config/plugins/pubkey.conf
 #usr/share/strongswan/templates/config/plugins/random.conf
 #usr/share/strongswan/templates/config/plugins/resolve.conf
 #usr/share/strongswan/templates/config/plugins/revocation.conf
-#usr/share/strongswan/templates/config/plugins/sha1.conf
-#usr/share/strongswan/templates/config/plugins/sha2.conf
 #usr/share/strongswan/templates/config/plugins/sha3.conf
 #usr/share/strongswan/templates/config/plugins/socket-default.conf
 #usr/share/strongswan/templates/config/plugins/sshkey.conf
diff --git a/lfs/strongswan b/lfs/strongswan
index 9b2a5bc9f..4241bf0ca 100644
--- a/lfs/strongswan
+++ b/lfs/strongswan
@@ -1,7 +1,7 @@
 ###############################################################################
 #                                                                             #
 # IPFire.org - A linux based firewall                                         #
-# Copyright (C) 2007-2024  IPFire Team  <info@ipfire.org>                     #
+# Copyright (C) 2007-2025  IPFire Team  <info@ipfire.org>                     #
 #                                                                             #
 # This program is free software: you can redistribute it and/or modify        #
 # it under the terms of the GNU General Public License as published by        #
@@ -24,7 +24,7 @@
 
 include Config
 
-VER        = 5.9.14
+VER        = 6.0.0
 
 THISAPP    = strongswan-$(VER)
 DL_FILE    = $(THISAPP).tar.bz2
@@ -40,7 +40,7 @@ objects = $(DL_FILE)
 
 $(DL_FILE) = $(DL_FROM)/$(DL_FILE)
 
-$(DL_FILE)_BLAKE2 = 8b64903cfa087d42ae0895e7c11a2fcbd9c6a4a4241548d947753e081a4a4e3c5946e5cf4bbd326840e596e51c61554146f007e6882f11c874454b9480f6f7a6
+$(DL_FILE)_BLAKE2 = acb7c76dd3f4ce88ddc9d81c1f831d37c1975441f73af4025049d495c4103e3d4bf132fce4dd85b148cc58e130dd9609383c8eae569f4a3cb55c56f0ac03f9da
 
 install : $(TARGET)
 
@@ -95,8 +95,11 @@ $(TARGET) : $(patsubst %,$(DIR_DL)/%,$(objects))
 		--enable-eap-identity \
 		--enable-chapoly \
 		--enable-sha3 \
-		--disable-padlock \
-		--disable-rc2 \
+		--enable-stroke \
+		--enable-fips-prf \
+		--enable-mgf1 \
+		--enable-hmac \
+		--enable-ml \
 		$(CONFIGURE_OPTIONS)
 
 	cd $(DIR_APP) && make $(MAKETUNING)