diff --git a/config/rootfiles/packages/aarch64/samba b/config/rootfiles/packages/aarch64/samba
index 7d261bc58..045459b57 100644
--- a/config/rootfiles/packages/aarch64/samba
+++ b/config/rootfiles/packages/aarch64/samba
@@ -144,8 +144,8 @@ usr/lib/libndr-standard.so
 usr/lib/libndr-standard.so.0
 usr/lib/libndr-standard.so.0.0.1
 usr/lib/libndr.so
-usr/lib/libndr.so.5
-usr/lib/libndr.so.5.0.0
+usr/lib/libndr.so.6
+usr/lib/libndr.so.6.0.0
 usr/lib/libnetapi.so
 usr/lib/libnetapi.so.1
 usr/lib/libnetapi.so.1.0.0
@@ -626,6 +626,7 @@ usr/lib/python3.10/site-packages/samba/tdb_util.py
 #usr/lib/python3.10/site-packages/samba/tests/krb5/kpasswd_tests.py
 #usr/lib/python3.10/site-packages/samba/tests/krb5/lockout_tests.py
 #usr/lib/python3.10/site-packages/samba/tests/krb5/ms_kile_client_principal_lookup_tests.py
+#usr/lib/python3.10/site-packages/samba/tests/krb5/netlogon.py
 #usr/lib/python3.10/site-packages/samba/tests/krb5/nt_hash_tests.py
 #usr/lib/python3.10/site-packages/samba/tests/krb5/pac_align_tests.py
 #usr/lib/python3.10/site-packages/samba/tests/krb5/pkinit_tests.py
@@ -695,6 +696,7 @@ usr/lib/python3.10/site-packages/samba/tdb_util.py
 #usr/lib/python3.10/site-packages/samba/tests/py_credentials.py
 #usr/lib/python3.10/site-packages/samba/tests/registry.py
 #usr/lib/python3.10/site-packages/samba/tests/reparsepoints.py
+#usr/lib/python3.10/site-packages/samba/tests/rust.py
 #usr/lib/python3.10/site-packages/samba/tests/s3_net_join.py
 #usr/lib/python3.10/site-packages/samba/tests/s3idmapdb.py
 #usr/lib/python3.10/site-packages/samba/tests/s3param.py
@@ -931,6 +933,7 @@ usr/lib/samba/libsmbpasswdparser-private-samba.so
 usr/lib/samba/libsocket-blocking-private-samba.so
 usr/lib/samba/libstable-sort-private-samba.so
 usr/lib/samba/libsys-rw-private-samba.so
+usr/lib/samba/libtalloc-private-samba.so
 usr/lib/samba/libtalloc-report-printf-private-samba.so
 usr/lib/samba/libtalloc-report-private-samba.so
 usr/lib/samba/libtdb-private-samba.so
diff --git a/config/rootfiles/packages/riscv64/samba b/config/rootfiles/packages/riscv64/samba
index bf7d3f069..563cef020 100644
--- a/config/rootfiles/packages/riscv64/samba
+++ b/config/rootfiles/packages/riscv64/samba
@@ -144,8 +144,8 @@ usr/lib/libndr-standard.so
 usr/lib/libndr-standard.so.0
 usr/lib/libndr-standard.so.0.0.1
 usr/lib/libndr.so
-usr/lib/libndr.so.5
-usr/lib/libndr.so.5.0.0
++usr/lib/libndr.so.6
++usr/lib/libndr.so.6.0.0
 usr/lib/libnetapi.so
 usr/lib/libnetapi.so.1
 usr/lib/libnetapi.so.1.0.0
@@ -626,6 +626,7 @@ usr/lib/python3.10/site-packages/samba/tdb_util.py
 #usr/lib/python3.10/site-packages/samba/tests/krb5/kpasswd_tests.py
 #usr/lib/python3.10/site-packages/samba/tests/krb5/lockout_tests.py
 #usr/lib/python3.10/site-packages/samba/tests/krb5/ms_kile_client_principal_lookup_tests.py
++usr/lib/python3.10/site-packages/samba/tests/krb5/netlogon.py
 #usr/lib/python3.10/site-packages/samba/tests/krb5/nt_hash_tests.py
 #usr/lib/python3.10/site-packages/samba/tests/krb5/pac_align_tests.py
 #usr/lib/python3.10/site-packages/samba/tests/krb5/pkinit_tests.py
@@ -695,6 +696,7 @@ usr/lib/python3.10/site-packages/samba/tdb_util.py
 #usr/lib/python3.10/site-packages/samba/tests/py_credentials.py
 #usr/lib/python3.10/site-packages/samba/tests/registry.py
 #usr/lib/python3.10/site-packages/samba/tests/reparsepoints.py
++usr/lib/python3.10/site-packages/samba/tests/rust.py
 #usr/lib/python3.10/site-packages/samba/tests/s3_net_join.py
 #usr/lib/python3.10/site-packages/samba/tests/s3idmapdb.py
 #usr/lib/python3.10/site-packages/samba/tests/s3param.py
@@ -931,6 +933,7 @@ usr/lib/samba/libsmbpasswdparser-private-samba.so
 usr/lib/samba/libsocket-blocking-private-samba.so
 usr/lib/samba/libstable-sort-private-samba.so
 usr/lib/samba/libsys-rw-private-samba.so
++usr/lib/samba/libtalloc-private-samba.so
 usr/lib/samba/libtalloc-report-printf-private-samba.so
 usr/lib/samba/libtalloc-report-private-samba.so
 usr/lib/samba/libtdb-private-samba.so
@@ -1025,6 +1028,8 @@ var/lib/samba/private
 var/lib/samba/winbindd_privileged
 var/log/samba
 var/spool/samba
-srv/web/ipfire/cgi-bin/samba.cgi
-var/ipfire/menu.d/EX-samba.menu
-usr/local/bin/sambactrl
+-usr/lib/libndr.so.5
+-usr/lib/libndr.so.5.0.0
+-srv/web/ipfire/cgi-bin/samba.cgi
+-var/ipfire/menu.d/EX-samba.menu
+-usr/local/bin/sambactrl
diff --git a/config/rootfiles/packages/x86_64/samba b/config/rootfiles/packages/x86_64/samba
index 988370a16..c545835eb 100644
--- a/config/rootfiles/packages/x86_64/samba
+++ b/config/rootfiles/packages/x86_64/samba
@@ -144,8 +144,8 @@ usr/lib/libndr-standard.so
 usr/lib/libndr-standard.so.0
 usr/lib/libndr-standard.so.0.0.1
 usr/lib/libndr.so
-usr/lib/libndr.so.5
-usr/lib/libndr.so.5.0.0
+usr/lib/libndr.so.6
+usr/lib/libndr.so.6.0.0
 usr/lib/libnetapi.so
 usr/lib/libnetapi.so.1
 usr/lib/libnetapi.so.1.0.0
@@ -626,6 +626,7 @@ usr/lib/python3.10/site-packages/samba/tdb_util.py
 #usr/lib/python3.10/site-packages/samba/tests/krb5/kpasswd_tests.py
 #usr/lib/python3.10/site-packages/samba/tests/krb5/lockout_tests.py
 #usr/lib/python3.10/site-packages/samba/tests/krb5/ms_kile_client_principal_lookup_tests.py
+#usr/lib/python3.10/site-packages/samba/tests/krb5/netlogon.py
 #usr/lib/python3.10/site-packages/samba/tests/krb5/nt_hash_tests.py
 #usr/lib/python3.10/site-packages/samba/tests/krb5/pac_align_tests.py
 #usr/lib/python3.10/site-packages/samba/tests/krb5/pkinit_tests.py
@@ -695,6 +696,7 @@ usr/lib/python3.10/site-packages/samba/tdb_util.py
 #usr/lib/python3.10/site-packages/samba/tests/py_credentials.py
 #usr/lib/python3.10/site-packages/samba/tests/registry.py
 #usr/lib/python3.10/site-packages/samba/tests/reparsepoints.py
+#usr/lib/python3.10/site-packages/samba/tests/rust.py
 #usr/lib/python3.10/site-packages/samba/tests/s3_net_join.py
 #usr/lib/python3.10/site-packages/samba/tests/s3idmapdb.py
 #usr/lib/python3.10/site-packages/samba/tests/s3param.py
@@ -931,6 +933,7 @@ usr/lib/samba/libsmbpasswdparser-private-samba.so
 usr/lib/samba/libsocket-blocking-private-samba.so
 usr/lib/samba/libstable-sort-private-samba.so
 usr/lib/samba/libsys-rw-private-samba.so
+usr/lib/samba/libtalloc-private-samba.so
 usr/lib/samba/libtalloc-report-printf-private-samba.so
 usr/lib/samba/libtalloc-report-private-samba.so
 usr/lib/samba/libtdb-private-samba.so
diff --git a/lfs/samba b/lfs/samba
index e9529a176..5101244b3 100644
--- a/lfs/samba
+++ b/lfs/samba
@@ -24,7 +24,7 @@
 
 include Config
 
-VER        = 4.21.4
+VER        = 4.22.0
 SUMMARY    = A SMB/CIFS File, Print, and Authentication Server
 
 THISAPP    = samba-$(VER)
@@ -33,7 +33,7 @@ DL_FROM    = $(URL_IPFIRE)
 DIR_APP    = $(DIR_SRC)/$(THISAPP)
 TARGET     = $(DIR_INFO)/$(THISAPP)
 PROG       = samba
-PAK_VER    = 111
+PAK_VER    = 112
 
 DEPS       = avahi libtalloc perl-Parse-Yapp wsdd
 
@@ -47,7 +47,7 @@ objects = $(DL_FILE)
 
 $(DL_FILE) = $(DL_FROM)/$(DL_FILE)
 
-$(DL_FILE)_BLAKE2 = 37c3b924799369dfe7a9ac208d3e470d4c41c45eb725f973e6948c3581523abe5fe768ea0a82e38c5a1cf5ad238896ddfd1783a1adebc9fa6d42fbb6769e9bdb
+$(DL_FILE)_BLAKE2 = 27997ad025cbdc246c906bb05bf1c67749decc8e760c68cd4837b5121295613824b11f0eea91de6e7cb551ccc5193d189d5742dc7096305565ca8794baa7b585
 
 install : $(TARGET)
 