diff --git a/config/rootfiles/common/protobuf b/config/rootfiles/common/protobuf
index db247dfeb..897f8cc33 100644
--- a/config/rootfiles/common/protobuf
+++ b/config/rootfiles/common/protobuf
@@ -1,11 +1,11 @@
 #usr/bin/protoc
-#usr/bin/protoc-29.3.0
+usr/bin/protoc-30.2.0
 #usr/bin/protoc-gen-upb
-#usr/bin/protoc-gen-upb-29.3.0
+usr/bin/protoc-gen-upb-30.2.0
 #usr/bin/protoc-gen-upb_minitable
-#usr/bin/protoc-gen-upb_minitable-29.3.0
+usr/bin/protoc-gen-upb_minitable-30.2.0
 #usr/bin/protoc-gen-upbdefs
-#usr/bin/protoc-gen-upbdefs-29.3.0
+usr/bin/protoc-gen-upbdefs-30.2.0
 #usr/include/google
 #usr/include/google/protobuf
 #usr/include/google/protobuf/any.h
@@ -24,110 +24,31 @@
 #usr/include/google/protobuf/compiler/code_generator_lite.h
 #usr/include/google/protobuf/compiler/command_line_interface.h
 #usr/include/google/protobuf/compiler/cpp
-#usr/include/google/protobuf/compiler/cpp/enum.h
-#usr/include/google/protobuf/compiler/cpp/extension.h
-#usr/include/google/protobuf/compiler/cpp/field.h
-#usr/include/google/protobuf/compiler/cpp/field_generators
-#usr/include/google/protobuf/compiler/cpp/field_generators/generators.h
-#usr/include/google/protobuf/compiler/cpp/file.h
 #usr/include/google/protobuf/compiler/cpp/generator.h
 #usr/include/google/protobuf/compiler/cpp/helpers.h
-#usr/include/google/protobuf/compiler/cpp/ifndef_guard.h
-#usr/include/google/protobuf/compiler/cpp/message.h
-#usr/include/google/protobuf/compiler/cpp/message_layout_helper.h
 #usr/include/google/protobuf/compiler/cpp/names.h
-#usr/include/google/protobuf/compiler/cpp/namespace_printer.h
 #usr/include/google/protobuf/compiler/cpp/options.h
-#usr/include/google/protobuf/compiler/cpp/padding_optimizer.h
-#usr/include/google/protobuf/compiler/cpp/parse_function_generator.h
-#usr/include/google/protobuf/compiler/cpp/service.h
-#usr/include/google/protobuf/compiler/cpp/tracker.h
 #usr/include/google/protobuf/compiler/csharp
-#usr/include/google/protobuf/compiler/csharp/csharp_doc_comment.h
-#usr/include/google/protobuf/compiler/csharp/csharp_enum.h
-#usr/include/google/protobuf/compiler/csharp/csharp_enum_field.h
-#usr/include/google/protobuf/compiler/csharp/csharp_field_base.h
 #usr/include/google/protobuf/compiler/csharp/csharp_generator.h
-#usr/include/google/protobuf/compiler/csharp/csharp_helpers.h
-#usr/include/google/protobuf/compiler/csharp/csharp_map_field.h
-#usr/include/google/protobuf/compiler/csharp/csharp_message.h
-#usr/include/google/protobuf/compiler/csharp/csharp_message_field.h
-#usr/include/google/protobuf/compiler/csharp/csharp_options.h
-#usr/include/google/protobuf/compiler/csharp/csharp_primitive_field.h
-#usr/include/google/protobuf/compiler/csharp/csharp_reflection_class.h
-#usr/include/google/protobuf/compiler/csharp/csharp_repeated_enum_field.h
-#usr/include/google/protobuf/compiler/csharp/csharp_repeated_message_field.h
-#usr/include/google/protobuf/compiler/csharp/csharp_repeated_primitive_field.h
-#usr/include/google/protobuf/compiler/csharp/csharp_source_generator_base.h
-#usr/include/google/protobuf/compiler/csharp/csharp_wrapper_field.h
 #usr/include/google/protobuf/compiler/csharp/names.h
 #usr/include/google/protobuf/compiler/importer.h
 #usr/include/google/protobuf/compiler/java
 #usr/include/google/protobuf/compiler/java/context.h
 #usr/include/google/protobuf/compiler/java/doc_comment.h
-#usr/include/google/protobuf/compiler/java/field_common.h
-#usr/include/google/protobuf/compiler/java/file.h
-#usr/include/google/protobuf/compiler/java/full
-#usr/include/google/protobuf/compiler/java/full/enum.h
-#usr/include/google/protobuf/compiler/java/full/enum_field.h
-#usr/include/google/protobuf/compiler/java/full/extension.h
-#usr/include/google/protobuf/compiler/java/full/field_generator.h
-#usr/include/google/protobuf/compiler/java/full/generator_factory.h
-#usr/include/google/protobuf/compiler/java/full/make_field_gens.h
-#usr/include/google/protobuf/compiler/java/full/map_field.h
-#usr/include/google/protobuf/compiler/java/full/message.h
-#usr/include/google/protobuf/compiler/java/full/message_builder.h
-#usr/include/google/protobuf/compiler/java/full/message_field.h
-#usr/include/google/protobuf/compiler/java/full/primitive_field.h
-#usr/include/google/protobuf/compiler/java/full/service.h
-#usr/include/google/protobuf/compiler/java/full/string_field.h
 #usr/include/google/protobuf/compiler/java/generator.h
-#usr/include/google/protobuf/compiler/java/generator_common.h
-#usr/include/google/protobuf/compiler/java/generator_factory.h
 #usr/include/google/protobuf/compiler/java/helpers.h
-#usr/include/google/protobuf/compiler/java/internal_helpers.h
 #usr/include/google/protobuf/compiler/java/java_features.pb.h
-#usr/include/google/protobuf/compiler/java/lite
-#usr/include/google/protobuf/compiler/java/lite/enum.h
-#usr/include/google/protobuf/compiler/java/lite/enum_field.h
-#usr/include/google/protobuf/compiler/java/lite/extension.h
-#usr/include/google/protobuf/compiler/java/lite/field_generator.h
-#usr/include/google/protobuf/compiler/java/lite/generator_factory.h
-#usr/include/google/protobuf/compiler/java/lite/make_field_gens.h
-#usr/include/google/protobuf/compiler/java/lite/map_field.h
-#usr/include/google/protobuf/compiler/java/lite/message.h
-#usr/include/google/protobuf/compiler/java/lite/message_builder.h
-#usr/include/google/protobuf/compiler/java/lite/message_field.h
-#usr/include/google/protobuf/compiler/java/lite/primitive_field.h
-#usr/include/google/protobuf/compiler/java/lite/string_field.h
-#usr/include/google/protobuf/compiler/java/message_serialization.h
 #usr/include/google/protobuf/compiler/java/name_resolver.h
 #usr/include/google/protobuf/compiler/java/names.h
 #usr/include/google/protobuf/compiler/java/options.h
-#usr/include/google/protobuf/compiler/java/shared_code_generator.h
 #usr/include/google/protobuf/compiler/kotlin
-#usr/include/google/protobuf/compiler/kotlin/file.h
 #usr/include/google/protobuf/compiler/kotlin/generator.h
-#usr/include/google/protobuf/compiler/kotlin/message.h
+#usr/include/google/protobuf/compiler/notices.h
 #usr/include/google/protobuf/compiler/objectivec
-#usr/include/google/protobuf/compiler/objectivec/enum.h
-#usr/include/google/protobuf/compiler/objectivec/enum_field.h
-#usr/include/google/protobuf/compiler/objectivec/extension.h
-#usr/include/google/protobuf/compiler/objectivec/field.h
-#usr/include/google/protobuf/compiler/objectivec/file.h
 #usr/include/google/protobuf/compiler/objectivec/generator.h
-#usr/include/google/protobuf/compiler/objectivec/helpers.h
-#usr/include/google/protobuf/compiler/objectivec/import_writer.h
 #usr/include/google/protobuf/compiler/objectivec/line_consumer.h
-#usr/include/google/protobuf/compiler/objectivec/map_field.h
-#usr/include/google/protobuf/compiler/objectivec/message.h
-#usr/include/google/protobuf/compiler/objectivec/message_field.h
 #usr/include/google/protobuf/compiler/objectivec/names.h
 #usr/include/google/protobuf/compiler/objectivec/nsobject_methods.h
-#usr/include/google/protobuf/compiler/objectivec/oneof.h
-#usr/include/google/protobuf/compiler/objectivec/options.h
-#usr/include/google/protobuf/compiler/objectivec/primitive_field.h
-#usr/include/google/protobuf/compiler/objectivec/tf_decode_data.h
 #usr/include/google/protobuf/compiler/parser.h
 #usr/include/google/protobuf/compiler/php
 #usr/include/google/protobuf/compiler/php/names.h
@@ -137,29 +58,10 @@
 #usr/include/google/protobuf/compiler/plugin.proto
 #usr/include/google/protobuf/compiler/python
 #usr/include/google/protobuf/compiler/python/generator.h
-#usr/include/google/protobuf/compiler/python/helpers.h
 #usr/include/google/protobuf/compiler/python/pyi_generator.h
 #usr/include/google/protobuf/compiler/retention.h
 #usr/include/google/protobuf/compiler/ruby
 #usr/include/google/protobuf/compiler/ruby/ruby_generator.h
-#usr/include/google/protobuf/compiler/rust
-#usr/include/google/protobuf/compiler/rust/accessors
-#usr/include/google/protobuf/compiler/rust/accessors/accessor_case.h
-#usr/include/google/protobuf/compiler/rust/accessors/accessors.h
-#usr/include/google/protobuf/compiler/rust/accessors/default_value.h
-#usr/include/google/protobuf/compiler/rust/accessors/generator.h
-#usr/include/google/protobuf/compiler/rust/accessors/with_presence.h
-#usr/include/google/protobuf/compiler/rust/context.h
-#usr/include/google/protobuf/compiler/rust/crate_mapping.h
-#usr/include/google/protobuf/compiler/rust/enum.h
-#usr/include/google/protobuf/compiler/rust/generator.h
-#usr/include/google/protobuf/compiler/rust/message.h
-#usr/include/google/protobuf/compiler/rust/naming.h
-#usr/include/google/protobuf/compiler/rust/oneof.h
-#usr/include/google/protobuf/compiler/rust/relative_path.h
-#usr/include/google/protobuf/compiler/rust/rust_field_type.h
-#usr/include/google/protobuf/compiler/rust/rust_keywords.h
-#usr/include/google/protobuf/compiler/rust/upb_helpers.h
 #usr/include/google/protobuf/compiler/scc.h
 #usr/include/google/protobuf/compiler/subprocess.h
 #usr/include/google/protobuf/compiler/versions.h
@@ -264,8 +166,6 @@
 #usr/include/google/protobuf/stubs/platform_macros.h
 #usr/include/google/protobuf/stubs/port.h
 #usr/include/google/protobuf/stubs/status_macros.h
-#usr/include/google/protobuf/testing
-#usr/include/google/protobuf/testing/file.h
 #usr/include/google/protobuf/text_format.h
 #usr/include/google/protobuf/thread_safe_arena.h
 #usr/include/google/protobuf/timestamp.pb.h
@@ -408,6 +308,7 @@
 #usr/include/upb/reflection/oneof_def.h
 #usr/include/upb/reflection/service_def.h
 #usr/include/upb/text
+#usr/include/upb/text/debug_string.h
 #usr/include/upb/text/encode.h
 #usr/include/upb/text/internal
 #usr/include/upb/text/internal/encode.h
@@ -424,12 +325,6 @@
 #usr/include/upb/wire/internal/decode_fast.h
 #usr/include/upb/wire/reader.h
 #usr/include/upb/wire/types.h
-#usr/include/upb_generator
-#usr/include/upb_generator/common
-#usr/include/upb_generator/common/names.h
-#usr/include/upb_generator/minitable
-#usr/include/upb_generator/minitable/names.h
-#usr/include/upb_generator/minitable/names_internal.h
 #usr/include/utf8_range.h
 #usr/include/utf8_validity.h
 #usr/lib/cmake/protobuf
@@ -445,14 +340,16 @@
 #usr/lib/cmake/utf8_range/utf8_range-targets-noconfig.cmake
 #usr/lib/cmake/utf8_range/utf8_range-targets.cmake
 #usr/lib/libprotobuf-lite.so
-usr/lib/libprotobuf-lite.so.29.3.0
+usr/lib/libprotobuf-lite.so.30.2.0
 #usr/lib/libprotobuf.so
-usr/lib/libprotobuf.so.29.3.0
+usr/lib/libprotobuf.so.30.2.0
 #usr/lib/libprotoc.so
-usr/lib/libprotoc.so.29.3.0
+usr/lib/libprotoc.so.30.2.0
 #usr/lib/libupb.a
 usr/lib/libutf8_range.so
+usr/lib/libutf8_range.so.30.2.0
 usr/lib/libutf8_validity.so
+usr/lib/libutf8_validity.so.30.2.0
 #usr/lib/pkgconfig/protobuf-lite.pc
 #usr/lib/pkgconfig/protobuf.pc
 #usr/lib/pkgconfig/upb.pc
diff --git a/lfs/protobuf b/lfs/protobuf
index 92d19de38..664ac3a11 100644
--- a/lfs/protobuf
+++ b/lfs/protobuf
@@ -24,7 +24,7 @@
 
 include Config
 
-VER        = 29.3
+VER        = 30.2
 
 THISAPP    = protobuf-$(VER)
 DL_FILE    = $(THISAPP).tar.gz
@@ -40,7 +40,7 @@ objects = $(DL_FILE)
 
 $(DL_FILE) = $(DL_FROM)/$(DL_FILE)
 
-$(DL_FILE)_BLAKE2 = 8d37daac6f0d832e5bff5c56b9be73fce1fe016ca4e905f4c66d8fea20fabbee54a6be2c824f503d40f8492a4ec6280a539c454de9a118b69ebc57f2afe3d965
+$(DL_FILE)_BLAKE2 = 3a7d6bfa38500b16b1ce52b244fd9448fe7be2933a77224a1423a67e3ae3155846c0974ee1b6c579f6050f60b7784ace21b149b3cbdff2ef1e6bf954acbb1b51
 
 install : $(TARGET)
 
@@ -71,10 +71,10 @@ $(TARGET) : $(patsubst %,$(DIR_DL)/%,$(objects))
 	@$(PREBUILD)
 	@rm -rf $(DIR_APP) && cd $(DIR_SRC) && tar axf $(DIR_DL)/$(DL_FILE)
 	cd $(DIR_APP) && cmake . \
-			-D CMAKE_INSTALL_PREFIX=/usr \
-			-D protobuf_BUILD_TESTS=OFF \
-			-D protobuf_BUILD_SHARED_LIBS=ON \
-			-D protobuf_ABSL_PROVIDER=package
+				-D CMAKE_INSTALL_PREFIX=/usr \
+				-D protobuf_BUILD_TESTS=OFF \
+				-D protobuf_BUILD_SHARED_LIBS=ON \
+				-D protobuf_ABSL_PROVIDER=package
 	cd $(DIR_APP) && make $(MAKETUNING)
 	cd $(DIR_APP) && make install
 	@rm -rf $(DIR_APP)