diff --git a/config/rootfiles/common/man-pages b/config/rootfiles/common/man-pages
index 771fc1a83..06c818bd6 100644
--- a/config/rootfiles/common/man-pages
+++ b/config/rootfiles/common/man-pages
@@ -1,13 +1,21 @@
+#usr/local/bin/diffman-git
+#usr/local/bin/mansect
+#usr/local/bin/pdfman
+#usr/local/bin/sortman
+#usr/local/share/man/man1/diffman-git.1
 #usr/local/share/man/man1/getent.1
 #usr/local/share/man/man1/iconv.1
 #usr/local/share/man/man1/intro.1
 #usr/local/share/man/man1/ldd.1
 #usr/local/share/man/man1/locale.1
 #usr/local/share/man/man1/localedef.1
+#usr/local/share/man/man1/mansect.1
 #usr/local/share/man/man1/memusage.1
 #usr/local/share/man/man1/memusagestat.1
 #usr/local/share/man/man1/mtrace.1
+#usr/local/share/man/man1/pdfman.1
 #usr/local/share/man/man1/pldd.1
+#usr/local/share/man/man1/sortman.1
 #usr/local/share/man/man1/sprof.1
 #usr/local/share/man/man1/time.1
 #usr/local/share/man/man2/_Exit.2
@@ -208,6 +216,7 @@
 #usr/local/share/man/man2/link.2
 #usr/local/share/man/man2/linkat.2
 #usr/local/share/man/man2/listen.2
+#usr/local/share/man/man2/listmount.2
 #usr/local/share/man/man2/listxattr.2
 #usr/local/share/man/man2/llistxattr.2
 #usr/local/share/man/man2/llseek.2
@@ -340,6 +349,7 @@
 #usr/local/share/man/man2/renameat2.2
 #usr/local/share/man/man2/request_key.2
 #usr/local/share/man/man2/restart_syscall.2
+#usr/local/share/man/man2/riscv_flush_icache.2
 #usr/local/share/man/man2/rmdir.2
 #usr/local/share/man/man2/rt_sigaction.2
 #usr/local/share/man/man2/rt_sigpending.2
@@ -448,6 +458,7 @@
 #usr/local/share/man/man2/stat64.2
 #usr/local/share/man/man2/statfs.2
 #usr/local/share/man/man2/statfs64.2
+#usr/local/share/man/man2/statmount.2
 #usr/local/share/man/man2/statx.2
 #usr/local/share/man/man2/stime.2
 #usr/local/share/man/man2/stty.2
@@ -491,6 +502,7 @@
 #usr/local/share/man/man2/unlink.2
 #usr/local/share/man/man2/unlinkat.2
 #usr/local/share/man/man2/unshare.2
+#usr/local/share/man/man2/uretprobe.2
 #usr/local/share/man/man2/uselib.2
 #usr/local/share/man/man2/userfaultfd.2
 #usr/local/share/man/man2/ustat.2
@@ -555,6 +567,31 @@
 #usr/local/share/man/man2const/KDSKBMETA.2const
 #usr/local/share/man/man2const/KDSKBMODE.2const
 #usr/local/share/man/man2const/KDSKBSENT.2const
+#usr/local/share/man/man2const/KEYCTL_ASSUME_AUTHORITY.2const
+#usr/local/share/man/man2const/KEYCTL_CHOWN.2const
+#usr/local/share/man/man2const/KEYCTL_CLEAR.2const
+#usr/local/share/man/man2const/KEYCTL_DESCRIBE.2const
+#usr/local/share/man/man2const/KEYCTL_DH_COMPUTE.2const
+#usr/local/share/man/man2const/KEYCTL_GET_KEYRING_ID.2const
+#usr/local/share/man/man2const/KEYCTL_GET_PERSISTENT.2const
+#usr/local/share/man/man2const/KEYCTL_GET_SECURITY.2const
+#usr/local/share/man/man2const/KEYCTL_INSTANTIATE.2const
+#usr/local/share/man/man2const/KEYCTL_INSTANTIATE_IOV.2const
+#usr/local/share/man/man2const/KEYCTL_INVALIDATE.2const
+#usr/local/share/man/man2const/KEYCTL_JOIN_SESSION_KEYRING.2const
+#usr/local/share/man/man2const/KEYCTL_LINK.2const
+#usr/local/share/man/man2const/KEYCTL_NEGATE.2const
+#usr/local/share/man/man2const/KEYCTL_READ.2const
+#usr/local/share/man/man2const/KEYCTL_REJECT.2const
+#usr/local/share/man/man2const/KEYCTL_RESTRICT_KEYRING.2const
+#usr/local/share/man/man2const/KEYCTL_REVOKE.2const
+#usr/local/share/man/man2const/KEYCTL_SEARCH.2const
+#usr/local/share/man/man2const/KEYCTL_SESSION_TO_PARENT.2const
+#usr/local/share/man/man2const/KEYCTL_SETPERM.2const
+#usr/local/share/man/man2const/KEYCTL_SET_REQKEY_KEYRING.2const
+#usr/local/share/man/man2const/KEYCTL_SET_TIMEOUT.2const
+#usr/local/share/man/man2const/KEYCTL_UNLINK.2const
+#usr/local/share/man/man2const/KEYCTL_UPDATE.2const
 #usr/local/share/man/man2const/KIOCSOUND.2const
 #usr/local/share/man/man2const/NS_GET_NSTYPE.2const
 #usr/local/share/man/man2const/NS_GET_OWNER_UID.2const
@@ -606,6 +643,7 @@
 #usr/local/share/man/man2const/PR_MPX_DISABLE_MANAGEMENT.2const
 #usr/local/share/man/man2const/PR_MPX_ENABLE_MANAGEMENT.2const
 #usr/local/share/man/man2const/PR_PAC_RESET_KEYS.2const
+#usr/local/share/man/man2const/PR_RISCV_SET_ICACHE_FLUSH_CTX.2const
 #usr/local/share/man/man2const/PR_SET_CHILD_SUBREAPER.2const
 #usr/local/share/man/man2const/PR_SET_DUMPABLE.2const
 #usr/local/share/man/man2const/PR_SET_ENDIAN.2const
@@ -705,6 +743,7 @@
 #usr/local/share/man/man2const/UFFDIO_API.2const
 #usr/local/share/man/man2const/UFFDIO_CONTINUE.2const
 #usr/local/share/man/man2const/UFFDIO_COPY.2const
+#usr/local/share/man/man2const/UFFDIO_MOVE.2const
 #usr/local/share/man/man2const/UFFDIO_POISON.2const
 #usr/local/share/man/man2const/UFFDIO_REGISTER.2const
 #usr/local/share/man/man2const/UFFDIO_UNREGISTER.2const
@@ -889,6 +928,7 @@
 #usr/local/share/man/man3/__ppc_set_ppr_very_low.3
 #usr/local/share/man/man3/__ppc_yield.3
 #usr/local/share/man/man3/__realloc_hook.3
+#usr/local/share/man/man3/__riscv_flush_icache.3
 #usr/local/share/man/man3/__setfpucw.3
 #usr/local/share/man/man3/_flushlbf.3
 #usr/local/share/man/man3/a64l.3
@@ -2264,6 +2304,8 @@
 #usr/local/share/man/man3/timercmp.3
 #usr/local/share/man/man3/timerisset.3
 #usr/local/share/man/man3/timersub.3
+#usr/local/share/man/man3/timespec_get.3
+#usr/local/share/man/man3/timespec_getres.3
 #usr/local/share/man/man3/timezone.3
 #usr/local/share/man/man3/tmpfile.3
 #usr/local/share/man/man3/tmpnam.3
@@ -2289,9 +2331,13 @@
 #usr/local/share/man/man3/twalk_r.3
 #usr/local/share/man/man3/tzname.3
 #usr/local/share/man/man3/tzset.3
+#usr/local/share/man/man3/uabs.3
 #usr/local/share/man/man3/ualarm.3
+#usr/local/share/man/man3/uimaxabs.3
+#usr/local/share/man/man3/ulabs.3
 #usr/local/share/man/man3/ulckpwdf.3
 #usr/local/share/man/man3/ulimit.3
+#usr/local/share/man/man3/ullabs.3
 #usr/local/share/man/man3/undocumented.3
 #usr/local/share/man/man3/ungetc.3
 #usr/local/share/man/man3/ungetwc.3
@@ -2840,6 +2886,7 @@
 #usr/local/share/man/man7/man-pages.7
 #usr/local/share/man/man7/man.7
 #usr/local/share/man/man7/math_error.7
+#usr/local/share/man/man7/mctp.7
 #usr/local/share/man/man7/mount_namespaces.7
 #usr/local/share/man/man7/mq_overview.7
 #usr/local/share/man/man7/namespaces.7
@@ -2851,6 +2898,7 @@
 #usr/local/share/man/man7/operator.7
 #usr/local/share/man/man7/packet.7
 #usr/local/share/man/man7/path_resolution.7
+#usr/local/share/man/man7/pathname.7
 #usr/local/share/man/man7/persistent-keyring.7
 #usr/local/share/man/man7/pid_namespaces.7
 #usr/local/share/man/man7/pipe.7
diff --git a/lfs/man-pages b/lfs/man-pages
index 4a662bb91..6fbcea9f9 100644
--- a/lfs/man-pages
+++ b/lfs/man-pages
@@ -1,7 +1,7 @@
 ###############################################################################
 #                                                                             #
 # IPFire.org - A linux based firewall                                         #
-# Copyright (C) 2007-2024  IPFire Team  <info@ipfire.org>                     #
+# Copyright (C) 2007-2025  IPFire Team  <info@ipfire.org>                     #
 #                                                                             #
 # This program is free software: you can redistribute it and/or modify        #
 # it under the terms of the GNU General Public License as published by        #
@@ -24,7 +24,7 @@
 
 include Config
 
-VER        = 6.9.1
+VER        = 6.14
 
 THISAPP    = man-pages-$(VER)
 DL_FILE    = $(THISAPP).tar.xz
@@ -40,7 +40,7 @@ objects = $(DL_FILE)
 
 $(DL_FILE) = $(DL_FROM)/$(DL_FILE)
 
-$(DL_FILE)_BLAKE2 = 04c502e10f16cb75e5879b8c1db0795d0f53b58c8d4715b0401cbea99b879951aef3418bb8c4cbae1a74c1d40206c6e523a1de33e3eafba6793c15fea51d0aa3
+$(DL_FILE)_BLAKE2 = 4e6e325b579072f5f4daca5dd7f31fb9eceb0ab04982bf1f541e01e723499b8cf997cd3d818bf3a2d4e8da5a49b3289649f2ea67ad428e00b60df004f7ee944c
 
 install : $(TARGET)
 
@@ -70,6 +70,6 @@ $(subst %,%_BLAKE2,$(objects)) :
 $(TARGET) : $(patsubst %,$(DIR_DL)/%,$(objects))
 	@$(PREBUILD)
 	@rm -rf $(DIR_APP) && cd $(DIR_SRC) && tar axf $(DIR_DL)/$(DL_FILE)
-	cd $(DIR_APP) && make $(MAKETUNING) install
+	cd $(DIR_APP) && make -R $(MAKETUNING) install
 	@rm -rf $(DIR_APP)
 	@$(POSTBUILD)