diff --git a/config/rootfiles/common/ruby b/config/rootfiles/common/ruby
index 8aae71efa..1acbe91f3 100644
--- a/config/rootfiles/common/ruby
+++ b/config/rootfiles/common/ruby
@@ -223,7 +223,7 @@
 #usr/include/ruby-3.4.0/xxxMACHINExxx-linux/ruby/config.h
 #usr/lib/libruby.so
 #usr/lib/libruby.so.3.4
-#usr/lib/libruby.so.3.4.1
+#usr/lib/libruby.so.3.4.4
 #usr/lib/pkgconfig/ruby-3.4.pc
 #usr/lib/ruby
 #usr/lib/ruby/3.4.0
@@ -270,7 +270,6 @@
 #usr/lib/ruby/3.4.0/bundler/compact_index_client.rb
 #usr/lib/ruby/3.4.0/bundler/compact_index_client/cache.rb
 #usr/lib/ruby/3.4.0/bundler/compact_index_client/cache_file.rb
-#usr/lib/ruby/3.4.0/bundler/compact_index_client/gem_parser.rb
 #usr/lib/ruby/3.4.0/bundler/compact_index_client/parser.rb
 #usr/lib/ruby/3.4.0/bundler/compact_index_client/updater.rb
 #usr/lib/ruby/3.4.0/bundler/constants.rb
@@ -408,6 +407,7 @@
 #usr/lib/ruby/3.4.0/bundler/resolver/package.rb
 #usr/lib/ruby/3.4.0/bundler/resolver/root.rb
 #usr/lib/ruby/3.4.0/bundler/resolver/spec_group.rb
+#usr/lib/ruby/3.4.0/bundler/resolver/strategy.rb
 #usr/lib/ruby/3.4.0/bundler/retry.rb
 #usr/lib/ruby/3.4.0/bundler/ruby_dsl.rb
 #usr/lib/ruby/3.4.0/bundler/ruby_version.rb
@@ -535,6 +535,7 @@
 #usr/lib/ruby/3.4.0/bundler/vendor/pub_grub/lib/pub_grub/rubygems.rb
 #usr/lib/ruby/3.4.0/bundler/vendor/pub_grub/lib/pub_grub/solve_failure.rb
 #usr/lib/ruby/3.4.0/bundler/vendor/pub_grub/lib/pub_grub/static_package_source.rb
+#usr/lib/ruby/3.4.0/bundler/vendor/pub_grub/lib/pub_grub/strategy.rb
 #usr/lib/ruby/3.4.0/bundler/vendor/pub_grub/lib/pub_grub/term.rb
 #usr/lib/ruby/3.4.0/bundler/vendor/pub_grub/lib/pub_grub/version.rb
 #usr/lib/ruby/3.4.0/bundler/vendor/pub_grub/lib/pub_grub/version_constraint.rb
@@ -1675,9 +1676,9 @@
 #usr/lib/ruby/gems/3.4.0/cache/minitest-5.25.4.gem
 #usr/lib/ruby/gems/3.4.0/cache/mutex_m-0.3.0.gem
 #usr/lib/ruby/gems/3.4.0/cache/net-ftp-0.3.8.gem
-#usr/lib/ruby/gems/3.4.0/cache/net-imap-0.5.4.gem
+#usr/lib/ruby/gems/3.4.0/cache/net-imap-0.5.8.gem
 #usr/lib/ruby/gems/3.4.0/cache/net-pop-0.1.2.gem
-#usr/lib/ruby/gems/3.4.0/cache/net-smtp-0.5.0.gem
+#usr/lib/ruby/gems/3.4.0/cache/net-smtp-0.5.1.gem
 #usr/lib/ruby/gems/3.4.0/cache/nkf-0.2.0.gem
 #usr/lib/ruby/gems/3.4.0/cache/observer-0.1.2.gem
 #usr/lib/ruby/gems/3.4.0/cache/power_assert-2.0.5.gem
@@ -1760,11 +1761,11 @@
 #usr/lib/ruby/gems/3.4.0/gems/bigdecimal-3.1.8/sample/linear.rb
 #usr/lib/ruby/gems/3.4.0/gems/bigdecimal-3.1.8/sample/nlsolve.rb
 #usr/lib/ruby/gems/3.4.0/gems/bigdecimal-3.1.8/sample/pi.rb
-#usr/lib/ruby/gems/3.4.0/gems/bundler-2.6.2
-#usr/lib/ruby/gems/3.4.0/gems/bundler-2.6.2/exe
-#usr/lib/ruby/gems/3.4.0/gems/bundler-2.6.2/exe/bundle
-#usr/lib/ruby/gems/3.4.0/gems/bundler-2.6.2/exe/bundler
-#usr/lib/ruby/gems/3.4.0/gems/cgi-0.4.1
+#usr/lib/ruby/gems/3.4.0/gems/bundler-2.6.7
+#usr/lib/ruby/gems/3.4.0/gems/bundler-2.6.7/exe
+#usr/lib/ruby/gems/3.4.0/gems/bundler-2.6.7/exe/bundle
+#usr/lib/ruby/gems/3.4.0/gems/bundler-2.6.7/exe/bundler
+#usr/lib/ruby/gems/3.4.0/gems/cgi-0.4.2
 #usr/lib/ruby/gems/3.4.0/gems/csv-3.3.2
 #usr/lib/ruby/gems/3.4.0/gems/csv-3.3.2/LICENSE.txt
 #usr/lib/ruby/gems/3.4.0/gems/csv-3.3.2/NEWS.md
@@ -1993,74 +1994,77 @@
 #usr/lib/ruby/gems/3.4.0/gems/net-ftp-0.3.8/lib/net
 #usr/lib/ruby/gems/3.4.0/gems/net-ftp-0.3.8/lib/net/ftp.rb
 #usr/lib/ruby/gems/3.4.0/gems/net-http-0.6.0
-#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.4
-#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.4/BSDL
-#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.4/COPYING
-#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.4/Gemfile
-#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.4/LICENSE.txt
-#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.4/README.md
-#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.4/Rakefile
-#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.4/docs
-#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.4/docs/styles.css
-#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.4/lib
-#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.4/lib/net
-#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.4/lib/net/imap
-#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.4/lib/net/imap.rb
-#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.4/lib/net/imap/authenticators.rb
-#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.4/lib/net/imap/command_data.rb
-#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.4/lib/net/imap/config
-#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.4/lib/net/imap/config.rb
-#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.4/lib/net/imap/config/attr_accessors.rb
-#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.4/lib/net/imap/config/attr_inheritance.rb
-#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.4/lib/net/imap/config/attr_type_coercion.rb
-#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.4/lib/net/imap/data_encoding.rb
-#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.4/lib/net/imap/data_lite.rb
-#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.4/lib/net/imap/deprecated_client_options.rb
-#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.4/lib/net/imap/errors.rb
-#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.4/lib/net/imap/esearch_result.rb
-#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.4/lib/net/imap/fetch_data.rb
-#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.4/lib/net/imap/flags.rb
-#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.4/lib/net/imap/response_data.rb
-#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.4/lib/net/imap/response_parser
-#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.4/lib/net/imap/response_parser.rb
-#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.4/lib/net/imap/response_parser/parser_utils.rb
-#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.4/lib/net/imap/sasl
-#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.4/lib/net/imap/sasl.rb
-#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.4/lib/net/imap/sasl/anonymous_authenticator.rb
-#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.4/lib/net/imap/sasl/authentication_exchange.rb
-#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.4/lib/net/imap/sasl/authenticators.rb
-#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.4/lib/net/imap/sasl/client_adapter.rb
-#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.4/lib/net/imap/sasl/cram_md5_authenticator.rb
-#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.4/lib/net/imap/sasl/digest_md5_authenticator.rb
-#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.4/lib/net/imap/sasl/external_authenticator.rb
-#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.4/lib/net/imap/sasl/gs2_header.rb
-#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.4/lib/net/imap/sasl/login_authenticator.rb
-#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.4/lib/net/imap/sasl/oauthbearer_authenticator.rb
-#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.4/lib/net/imap/sasl/plain_authenticator.rb
-#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.4/lib/net/imap/sasl/protocol_adapters.rb
-#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.4/lib/net/imap/sasl/scram_algorithm.rb
-#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.4/lib/net/imap/sasl/scram_authenticator.rb
-#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.4/lib/net/imap/sasl/stringprep.rb
-#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.4/lib/net/imap/sasl/xoauth2_authenticator.rb
-#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.4/lib/net/imap/sasl_adapter.rb
-#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.4/lib/net/imap/search_result.rb
-#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.4/lib/net/imap/sequence_set.rb
-#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.4/lib/net/imap/stringprep
-#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.4/lib/net/imap/stringprep.rb
-#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.4/lib/net/imap/stringprep/nameprep.rb
-#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.4/lib/net/imap/stringprep/saslprep.rb
-#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.4/lib/net/imap/stringprep/saslprep_tables.rb
-#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.4/lib/net/imap/stringprep/tables.rb
-#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.4/lib/net/imap/stringprep/trace.rb
-#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.4/lib/net/imap/vanished_data.rb
-#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.4/rakelib
-#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.4/rakelib/benchmarks.rake
-#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.4/rakelib/rdoc.rake
-#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.4/rakelib/rfcs.rake
-#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.4/rakelib/saslprep.rake
-#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.4/rakelib/string_prep_tables_generator.rb
-#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.4/sample
-#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.4/sample/net-imap.rb
+#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.8
+#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.8/BSDL
+#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.8/COPYING
+#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.8/Gemfile
+#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.8/LICENSE.txt
+#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.8/README.md
+#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.8/Rakefile
+#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.8/docs
+#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.8/docs/styles.css
+#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.8/lib
+#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.8/lib/net
+#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.8/lib/net/imap
+#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.8/lib/net/imap.rb
+#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.8/lib/net/imap/authenticators.rb
+#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.8/lib/net/imap/command_data.rb
+#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.8/lib/net/imap/config
+#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.8/lib/net/imap/config.rb
+#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.8/lib/net/imap/config/attr_accessors.rb
+#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.8/lib/net/imap/config/attr_inheritance.rb
+#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.8/lib/net/imap/config/attr_type_coercion.rb
+#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.8/lib/net/imap/connection_state.rb
+#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.8/lib/net/imap/data_encoding.rb
+#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.8/lib/net/imap/data_lite.rb
+#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.8/lib/net/imap/deprecated_client_options.rb
+#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.8/lib/net/imap/errors.rb
+#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.8/lib/net/imap/esearch_result.rb
+#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.8/lib/net/imap/fetch_data.rb
+#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.8/lib/net/imap/flags.rb
+#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.8/lib/net/imap/response_data.rb
+#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.8/lib/net/imap/response_parser
+#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.8/lib/net/imap/response_parser.rb
+#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.8/lib/net/imap/response_parser/parser_utils.rb
+#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.8/lib/net/imap/response_reader.rb
+#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.8/lib/net/imap/sasl
+#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.8/lib/net/imap/sasl.rb
+#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.8/lib/net/imap/sasl/anonymous_authenticator.rb
+#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.8/lib/net/imap/sasl/authentication_exchange.rb
+#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.8/lib/net/imap/sasl/authenticators.rb
+#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.8/lib/net/imap/sasl/client_adapter.rb
+#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.8/lib/net/imap/sasl/cram_md5_authenticator.rb
+#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.8/lib/net/imap/sasl/digest_md5_authenticator.rb
+#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.8/lib/net/imap/sasl/external_authenticator.rb
+#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.8/lib/net/imap/sasl/gs2_header.rb
+#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.8/lib/net/imap/sasl/login_authenticator.rb
+#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.8/lib/net/imap/sasl/oauthbearer_authenticator.rb
+#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.8/lib/net/imap/sasl/plain_authenticator.rb
+#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.8/lib/net/imap/sasl/protocol_adapters.rb
+#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.8/lib/net/imap/sasl/scram_algorithm.rb
+#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.8/lib/net/imap/sasl/scram_authenticator.rb
+#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.8/lib/net/imap/sasl/stringprep.rb
+#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.8/lib/net/imap/sasl/xoauth2_authenticator.rb
+#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.8/lib/net/imap/sasl_adapter.rb
+#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.8/lib/net/imap/search_result.rb
+#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.8/lib/net/imap/sequence_set.rb
+#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.8/lib/net/imap/stringprep
+#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.8/lib/net/imap/stringprep.rb
+#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.8/lib/net/imap/stringprep/nameprep.rb
+#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.8/lib/net/imap/stringprep/saslprep.rb
+#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.8/lib/net/imap/stringprep/saslprep_tables.rb
+#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.8/lib/net/imap/stringprep/tables.rb
+#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.8/lib/net/imap/stringprep/trace.rb
+#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.8/lib/net/imap/uidplus_data.rb
+#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.8/lib/net/imap/vanished_data.rb
+#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.8/rakelib
+#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.8/rakelib/benchmarks.rake
+#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.8/rakelib/rdoc.rake
+#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.8/rakelib/rfcs.rake
+#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.8/rakelib/saslprep.rake
+#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.8/rakelib/string_prep_tables_generator.rb
+#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.8/sample
+#usr/lib/ruby/gems/3.4.0/gems/net-imap-0.5.8/sample/net-imap.rb
 #usr/lib/ruby/gems/3.4.0/gems/net-pop-0.1.2
 #usr/lib/ruby/gems/3.4.0/gems/net-pop-0.1.2/Gemfile
 #usr/lib/ruby/gems/3.4.0/gems/net-pop-0.1.2/LICENSE.txt
@@ -2070,19 +2074,19 @@
 #usr/lib/ruby/gems/3.4.0/gems/net-pop-0.1.2/lib/net
 #usr/lib/ruby/gems/3.4.0/gems/net-pop-0.1.2/lib/net/pop.rb
 #usr/lib/ruby/gems/3.4.0/gems/net-protocol-0.2.2
-#usr/lib/ruby/gems/3.4.0/gems/net-smtp-0.5.0
-#usr/lib/ruby/gems/3.4.0/gems/net-smtp-0.5.0/LICENSE.txt
-#usr/lib/ruby/gems/3.4.0/gems/net-smtp-0.5.0/NEWS.md
-#usr/lib/ruby/gems/3.4.0/gems/net-smtp-0.5.0/README.md
-#usr/lib/ruby/gems/3.4.0/gems/net-smtp-0.5.0/lib
-#usr/lib/ruby/gems/3.4.0/gems/net-smtp-0.5.0/lib/net
-#usr/lib/ruby/gems/3.4.0/gems/net-smtp-0.5.0/lib/net/smtp
-#usr/lib/ruby/gems/3.4.0/gems/net-smtp-0.5.0/lib/net/smtp.rb
-#usr/lib/ruby/gems/3.4.0/gems/net-smtp-0.5.0/lib/net/smtp/auth_cram_md5.rb
-#usr/lib/ruby/gems/3.4.0/gems/net-smtp-0.5.0/lib/net/smtp/auth_login.rb
-#usr/lib/ruby/gems/3.4.0/gems/net-smtp-0.5.0/lib/net/smtp/auth_plain.rb
-#usr/lib/ruby/gems/3.4.0/gems/net-smtp-0.5.0/lib/net/smtp/auth_xoauth2.rb
-#usr/lib/ruby/gems/3.4.0/gems/net-smtp-0.5.0/lib/net/smtp/authenticator.rb
+#usr/lib/ruby/gems/3.4.0/gems/net-smtp-0.5.1
+#usr/lib/ruby/gems/3.4.0/gems/net-smtp-0.5.1/LICENSE.txt
+#usr/lib/ruby/gems/3.4.0/gems/net-smtp-0.5.1/NEWS.md
+#usr/lib/ruby/gems/3.4.0/gems/net-smtp-0.5.1/README.md
+#usr/lib/ruby/gems/3.4.0/gems/net-smtp-0.5.1/lib
+#usr/lib/ruby/gems/3.4.0/gems/net-smtp-0.5.1/lib/net
+#usr/lib/ruby/gems/3.4.0/gems/net-smtp-0.5.1/lib/net/smtp
+#usr/lib/ruby/gems/3.4.0/gems/net-smtp-0.5.1/lib/net/smtp.rb
+#usr/lib/ruby/gems/3.4.0/gems/net-smtp-0.5.1/lib/net/smtp/auth_cram_md5.rb
+#usr/lib/ruby/gems/3.4.0/gems/net-smtp-0.5.1/lib/net/smtp/auth_login.rb
+#usr/lib/ruby/gems/3.4.0/gems/net-smtp-0.5.1/lib/net/smtp/auth_plain.rb
+#usr/lib/ruby/gems/3.4.0/gems/net-smtp-0.5.1/lib/net/smtp/auth_xoauth2.rb
+#usr/lib/ruby/gems/3.4.0/gems/net-smtp-0.5.1/lib/net/smtp/authenticator.rb
 #usr/lib/ruby/gems/3.4.0/gems/nkf-0.2.0
 #usr/lib/ruby/gems/3.4.0/gems/nkf-0.2.0/Gemfile
 #usr/lib/ruby/gems/3.4.0/gems/nkf-0.2.0/LICENSE.txt
@@ -3299,7 +3303,7 @@
 #usr/lib/ruby/gems/3.4.0/gems/typeprof-0.30.1/lib/typeprof/lsp/util.rb
 #usr/lib/ruby/gems/3.4.0/gems/typeprof-0.30.1/lib/typeprof/version.rb
 #usr/lib/ruby/gems/3.4.0/gems/un-0.3.0
-#usr/lib/ruby/gems/3.4.0/gems/uri-1.0.2
+#usr/lib/ruby/gems/3.4.0/gems/uri-1.0.3
 #usr/lib/ruby/gems/3.4.0/gems/weakref-0.1.3
 #usr/lib/ruby/gems/3.4.0/gems/yaml-0.4.0
 #usr/lib/ruby/gems/3.4.0/gems/zlib-3.2.1
@@ -3312,8 +3316,8 @@
 #usr/lib/ruby/gems/3.4.0/specifications/debug-1.10.0.gemspec
 #usr/lib/ruby/gems/3.4.0/specifications/default
 #usr/lib/ruby/gems/3.4.0/specifications/default/benchmark-0.4.0.gemspec
-#usr/lib/ruby/gems/3.4.0/specifications/default/bundler-2.6.2.gemspec
-#usr/lib/ruby/gems/3.4.0/specifications/default/cgi-0.4.1.gemspec
+#usr/lib/ruby/gems/3.4.0/specifications/default/bundler-2.6.7.gemspec
+#usr/lib/ruby/gems/3.4.0/specifications/default/cgi-0.4.2.gemspec
 #usr/lib/ruby/gems/3.4.0/specifications/default/date-3.4.1.gemspec
 #usr/lib/ruby/gems/3.4.0/specifications/default/delegate-0.4.0.gemspec
 #usr/lib/ruby/gems/3.4.0/specifications/default/did_you_mean-2.0.0.gemspec
@@ -3365,7 +3369,7 @@
 #usr/lib/ruby/gems/3.4.0/specifications/default/tmpdir-0.3.1.gemspec
 #usr/lib/ruby/gems/3.4.0/specifications/default/tsort-0.2.0.gemspec
 #usr/lib/ruby/gems/3.4.0/specifications/default/un-0.3.0.gemspec
-#usr/lib/ruby/gems/3.4.0/specifications/default/uri-1.0.2.gemspec
+#usr/lib/ruby/gems/3.4.0/specifications/default/uri-1.0.3.gemspec
 #usr/lib/ruby/gems/3.4.0/specifications/default/weakref-0.1.3.gemspec
 #usr/lib/ruby/gems/3.4.0/specifications/default/yaml-0.4.0.gemspec
 #usr/lib/ruby/gems/3.4.0/specifications/default/zlib-3.2.1.gemspec
@@ -3375,9 +3379,9 @@
 #usr/lib/ruby/gems/3.4.0/specifications/minitest-5.25.4.gemspec
 #usr/lib/ruby/gems/3.4.0/specifications/mutex_m-0.3.0.gemspec
 #usr/lib/ruby/gems/3.4.0/specifications/net-ftp-0.3.8.gemspec
-#usr/lib/ruby/gems/3.4.0/specifications/net-imap-0.5.4.gemspec
+#usr/lib/ruby/gems/3.4.0/specifications/net-imap-0.5.8.gemspec
 #usr/lib/ruby/gems/3.4.0/specifications/net-pop-0.1.2.gemspec
-#usr/lib/ruby/gems/3.4.0/specifications/net-smtp-0.5.0.gemspec
+#usr/lib/ruby/gems/3.4.0/specifications/net-smtp-0.5.1.gemspec
 #usr/lib/ruby/gems/3.4.0/specifications/nkf-0.2.0.gemspec
 #usr/lib/ruby/gems/3.4.0/specifications/observer-0.1.2.gemspec
 #usr/lib/ruby/gems/3.4.0/specifications/power_assert-2.0.5.gemspec
diff --git a/lfs/ruby b/lfs/ruby
index 8c06bac74..7175a1792 100644
--- a/lfs/ruby
+++ b/lfs/ruby
@@ -24,7 +24,7 @@
 
 include Config
 
-VER        = 3.4.1
+VER        = 3.4.4
 
 THISAPP    = ruby-$(VER)
 DL_FILE    = $(THISAPP).tar.xz
@@ -44,7 +44,7 @@ objects = $(DL_FILE)
 
 $(DL_FILE) = $(DL_FROM)/$(DL_FILE)
 
-$(DL_FILE)_BLAKE2 = 949cb57aeb6af4ca70d6638a2cd38ec9d067a3798ec27e02ee5934c902b74684b9f96d9fc00c1b22932de20b38b5bd3403a9a1a1bfe0c1caa380327d376d4c45
+$(DL_FILE)_BLAKE2 = ac56f2805f68b6ddd14281ea3db83fd991c8b96c61853b5d8770c08e6413994a89d423134b9a45f75bce186d31e2563bc59db2ec7d4fc1563fbed91c89476ef4
 
 install : $(TARGET)
 