diff --git a/config/rootfiles/common/automake b/config/rootfiles/common/automake
index 99d44ab7d..800ff6c66 100644
--- a/config/rootfiles/common/automake
+++ b/config/rootfiles/common/automake
@@ -1,131 +1,131 @@
 #usr/bin/aclocal
-#usr/bin/aclocal-1.17
+#usr/bin/aclocal-1.18
 #usr/bin/automake
-#usr/bin/automake-1.17
-#usr/share/aclocal-1.17
-#usr/share/aclocal-1.17/amversion.m4
-#usr/share/aclocal-1.17/ar-lib.m4
-#usr/share/aclocal-1.17/as.m4
-#usr/share/aclocal-1.17/auxdir.m4
-#usr/share/aclocal-1.17/cond-if.m4
-#usr/share/aclocal-1.17/cond.m4
-#usr/share/aclocal-1.17/depend.m4
-#usr/share/aclocal-1.17/depout.m4
-#usr/share/aclocal-1.17/dmalloc.m4
-#usr/share/aclocal-1.17/extra-recurs.m4
-#usr/share/aclocal-1.17/gcj.m4
-#usr/share/aclocal-1.17/init.m4
-#usr/share/aclocal-1.17/install-sh.m4
-#usr/share/aclocal-1.17/internal
-#usr/share/aclocal-1.17/internal/ac-config-macro-dirs.m4
-#usr/share/aclocal-1.17/lead-dot.m4
-#usr/share/aclocal-1.17/lex.m4
-#usr/share/aclocal-1.17/lispdir.m4
-#usr/share/aclocal-1.17/maintainer.m4
-#usr/share/aclocal-1.17/make.m4
-#usr/share/aclocal-1.17/missing.m4
-#usr/share/aclocal-1.17/mkdirp.m4
-#usr/share/aclocal-1.17/obsolete.m4
-#usr/share/aclocal-1.17/options.m4
-#usr/share/aclocal-1.17/prog-cc-c-o.m4
-#usr/share/aclocal-1.17/python.m4
-#usr/share/aclocal-1.17/rmf.m4
-#usr/share/aclocal-1.17/runlog.m4
-#usr/share/aclocal-1.17/sanity.m4
-#usr/share/aclocal-1.17/silent.m4
-#usr/share/aclocal-1.17/strip.m4
-#usr/share/aclocal-1.17/substnot.m4
-#usr/share/aclocal-1.17/tar.m4
-#usr/share/aclocal-1.17/upc.m4
-#usr/share/aclocal-1.17/vala.m4
-#usr/share/aclocal-1.17/xargsn.m4
+#usr/bin/automake-1.18
+#usr/share/aclocal-1.18
+#usr/share/aclocal-1.18/amversion.m4
+#usr/share/aclocal-1.18/ar-lib.m4
+#usr/share/aclocal-1.18/as.m4
+#usr/share/aclocal-1.18/auxdir.m4
+#usr/share/aclocal-1.18/cond-if.m4
+#usr/share/aclocal-1.18/cond.m4
+#usr/share/aclocal-1.18/depend.m4
+#usr/share/aclocal-1.18/depout.m4
+#usr/share/aclocal-1.18/dmalloc.m4
+#usr/share/aclocal-1.18/extra-recurs.m4
+#usr/share/aclocal-1.18/gcj.m4
+#usr/share/aclocal-1.18/init.m4
+#usr/share/aclocal-1.18/install-sh.m4
+#usr/share/aclocal-1.18/internal
+#usr/share/aclocal-1.18/internal/ac-config-macro-dirs.m4
+#usr/share/aclocal-1.18/lead-dot.m4
+#usr/share/aclocal-1.18/lex.m4
+#usr/share/aclocal-1.18/lispdir.m4
+#usr/share/aclocal-1.18/maintainer.m4
+#usr/share/aclocal-1.18/make.m4
+#usr/share/aclocal-1.18/missing.m4
+#usr/share/aclocal-1.18/mkdirp.m4
+#usr/share/aclocal-1.18/obsolete.m4
+#usr/share/aclocal-1.18/options.m4
+#usr/share/aclocal-1.18/prog-cc-c-o.m4
+#usr/share/aclocal-1.18/python.m4
+#usr/share/aclocal-1.18/rmf.m4
+#usr/share/aclocal-1.18/runlog.m4
+#usr/share/aclocal-1.18/sanity.m4
+#usr/share/aclocal-1.18/silent.m4
+#usr/share/aclocal-1.18/strip.m4
+#usr/share/aclocal-1.18/substnot.m4
+#usr/share/aclocal-1.18/tar.m4
+#usr/share/aclocal-1.18/upc.m4
+#usr/share/aclocal-1.18/vala.m4
+#usr/share/aclocal-1.18/xargsn.m4
 #usr/share/aclocal/README
-#usr/share/automake-1.17
-#usr/share/automake-1.17/Automake
-#usr/share/automake-1.17/Automake/ChannelDefs.pm
-#usr/share/automake-1.17/Automake/Channels.pm
-#usr/share/automake-1.17/Automake/Condition.pm
-#usr/share/automake-1.17/Automake/Config.pm
-#usr/share/automake-1.17/Automake/Configure_ac.pm
-#usr/share/automake-1.17/Automake/DisjConditions.pm
-#usr/share/automake-1.17/Automake/FileUtils.pm
-#usr/share/automake-1.17/Automake/General.pm
-#usr/share/automake-1.17/Automake/Getopt.pm
-#usr/share/automake-1.17/Automake/Item.pm
-#usr/share/automake-1.17/Automake/ItemDef.pm
-#usr/share/automake-1.17/Automake/Language.pm
-#usr/share/automake-1.17/Automake/Location.pm
-#usr/share/automake-1.17/Automake/Options.pm
-#usr/share/automake-1.17/Automake/Rule.pm
-#usr/share/automake-1.17/Automake/RuleDef.pm
-#usr/share/automake-1.17/Automake/VarDef.pm
-#usr/share/automake-1.17/Automake/Variable.pm
-#usr/share/automake-1.17/Automake/Version.pm
-#usr/share/automake-1.17/Automake/Wrap.pm
-#usr/share/automake-1.17/Automake/XFile.pm
-#usr/share/automake-1.17/COPYING
-#usr/share/automake-1.17/INSTALL
-#usr/share/automake-1.17/am
-#usr/share/automake-1.17/am/check.am
-#usr/share/automake-1.17/am/check2.am
-#usr/share/automake-1.17/am/clean-hdr.am
-#usr/share/automake-1.17/am/clean.am
-#usr/share/automake-1.17/am/compile.am
-#usr/share/automake-1.17/am/configure.am
-#usr/share/automake-1.17/am/data.am
-#usr/share/automake-1.17/am/dejagnu.am
-#usr/share/automake-1.17/am/depend.am
-#usr/share/automake-1.17/am/depend2.am
-#usr/share/automake-1.17/am/distdir.am
-#usr/share/automake-1.17/am/footer.am
-#usr/share/automake-1.17/am/header-vars.am
-#usr/share/automake-1.17/am/header.am
-#usr/share/automake-1.17/am/inst-vars.am
-#usr/share/automake-1.17/am/install.am
-#usr/share/automake-1.17/am/java.am
-#usr/share/automake-1.17/am/lang-compile.am
-#usr/share/automake-1.17/am/lex.am
-#usr/share/automake-1.17/am/library.am
-#usr/share/automake-1.17/am/libs.am
-#usr/share/automake-1.17/am/libtool.am
-#usr/share/automake-1.17/am/lisp.am
-#usr/share/automake-1.17/am/ltlib.am
-#usr/share/automake-1.17/am/ltlibrary.am
-#usr/share/automake-1.17/am/mans-vars.am
-#usr/share/automake-1.17/am/mans.am
-#usr/share/automake-1.17/am/program.am
-#usr/share/automake-1.17/am/progs.am
-#usr/share/automake-1.17/am/python.am
-#usr/share/automake-1.17/am/remake-hdr.am
-#usr/share/automake-1.17/am/scripts.am
-#usr/share/automake-1.17/am/subdirs.am
-#usr/share/automake-1.17/am/tags.am
-#usr/share/automake-1.17/am/texi-vers.am
-#usr/share/automake-1.17/am/texibuild.am
-#usr/share/automake-1.17/am/texinfos.am
-#usr/share/automake-1.17/am/vala.am
-#usr/share/automake-1.17/am/yacc.am
-#usr/share/automake-1.17/ar-lib
-#usr/share/automake-1.17/compile
-#usr/share/automake-1.17/config.guess
-#usr/share/automake-1.17/config.sub
-#usr/share/automake-1.17/depcomp
-#usr/share/automake-1.17/install-sh
-#usr/share/automake-1.17/mdate-sh
-#usr/share/automake-1.17/missing
-#usr/share/automake-1.17/mkinstalldirs
-#usr/share/automake-1.17/py-compile
-#usr/share/automake-1.17/tap-driver.sh
-#usr/share/automake-1.17/test-driver
-#usr/share/automake-1.17/texinfo.tex
-#usr/share/automake-1.17/ylwrap
+#usr/share/automake-1.18
+#usr/share/automake-1.18/Automake
+#usr/share/automake-1.18/Automake/ChannelDefs.pm
+#usr/share/automake-1.18/Automake/Channels.pm
+#usr/share/automake-1.18/Automake/Condition.pm
+#usr/share/automake-1.18/Automake/Config.pm
+#usr/share/automake-1.18/Automake/Configure_ac.pm
+#usr/share/automake-1.18/Automake/DisjConditions.pm
+#usr/share/automake-1.18/Automake/FileUtils.pm
+#usr/share/automake-1.18/Automake/General.pm
+#usr/share/automake-1.18/Automake/Getopt.pm
+#usr/share/automake-1.18/Automake/Item.pm
+#usr/share/automake-1.18/Automake/ItemDef.pm
+#usr/share/automake-1.18/Automake/Language.pm
+#usr/share/automake-1.18/Automake/Location.pm
+#usr/share/automake-1.18/Automake/Options.pm
+#usr/share/automake-1.18/Automake/Rule.pm
+#usr/share/automake-1.18/Automake/RuleDef.pm
+#usr/share/automake-1.18/Automake/VarDef.pm
+#usr/share/automake-1.18/Automake/Variable.pm
+#usr/share/automake-1.18/Automake/Version.pm
+#usr/share/automake-1.18/Automake/Wrap.pm
+#usr/share/automake-1.18/Automake/XFile.pm
+#usr/share/automake-1.18/COPYING
+#usr/share/automake-1.18/INSTALL
+#usr/share/automake-1.18/am
+#usr/share/automake-1.18/am/check.am
+#usr/share/automake-1.18/am/check2.am
+#usr/share/automake-1.18/am/clean-hdr.am
+#usr/share/automake-1.18/am/clean.am
+#usr/share/automake-1.18/am/compile.am
+#usr/share/automake-1.18/am/configure.am
+#usr/share/automake-1.18/am/data.am
+#usr/share/automake-1.18/am/dejagnu.am
+#usr/share/automake-1.18/am/depend.am
+#usr/share/automake-1.18/am/depend2.am
+#usr/share/automake-1.18/am/distdir.am
+#usr/share/automake-1.18/am/footer.am
+#usr/share/automake-1.18/am/header-vars.am
+#usr/share/automake-1.18/am/header.am
+#usr/share/automake-1.18/am/inst-vars.am
+#usr/share/automake-1.18/am/install.am
+#usr/share/automake-1.18/am/java.am
+#usr/share/automake-1.18/am/lang-compile.am
+#usr/share/automake-1.18/am/lex.am
+#usr/share/automake-1.18/am/library.am
+#usr/share/automake-1.18/am/libs.am
+#usr/share/automake-1.18/am/libtool.am
+#usr/share/automake-1.18/am/lisp.am
+#usr/share/automake-1.18/am/ltlib.am
+#usr/share/automake-1.18/am/ltlibrary.am
+#usr/share/automake-1.18/am/mans-vars.am
+#usr/share/automake-1.18/am/mans.am
+#usr/share/automake-1.18/am/program.am
+#usr/share/automake-1.18/am/progs.am
+#usr/share/automake-1.18/am/python.am
+#usr/share/automake-1.18/am/remake-hdr.am
+#usr/share/automake-1.18/am/scripts.am
+#usr/share/automake-1.18/am/subdirs.am
+#usr/share/automake-1.18/am/tags.am
+#usr/share/automake-1.18/am/texi-vers.am
+#usr/share/automake-1.18/am/texibuild.am
+#usr/share/automake-1.18/am/texinfos.am
+#usr/share/automake-1.18/am/vala.am
+#usr/share/automake-1.18/am/yacc.am
+#usr/share/automake-1.18/ar-lib
+#usr/share/automake-1.18/compile
+#usr/share/automake-1.18/config.guess
+#usr/share/automake-1.18/config.sub
+#usr/share/automake-1.18/depcomp
+#usr/share/automake-1.18/install-sh
+#usr/share/automake-1.18/mdate-sh
+#usr/share/automake-1.18/missing
+#usr/share/automake-1.18/mkinstalldirs
+#usr/share/automake-1.18/py-compile
+#usr/share/automake-1.18/tap-driver.sh
+#usr/share/automake-1.18/test-driver
+#usr/share/automake-1.18/texinfo.tex
+#usr/share/automake-1.18/ylwrap
 #usr/share/doc/automake
 #usr/share/doc/automake/amhello-1.0.tar.gz
 #usr/share/info/automake-history.info
 #usr/share/info/automake.info
 #usr/share/info/automake.info-1
 #usr/share/info/automake.info-2
-#usr/share/man/man1/aclocal-1.17.1
+#usr/share/man/man1/aclocal-1.18.1
 #usr/share/man/man1/aclocal.1
-#usr/share/man/man1/automake-1.17.1
+#usr/share/man/man1/automake-1.18.1
 #usr/share/man/man1/automake.1
diff --git a/lfs/automake b/lfs/automake
index e595b98b6..a7bc466c3 100644
--- a/lfs/automake
+++ b/lfs/automake
@@ -1,7 +1,7 @@
 ###############################################################################
 #                                                                             #
 # IPFire.org - A linux based firewall                                         #
-# Copyright (C) 2007-2024  IPFire Team  <info@ipfire.org>                     #
+# Copyright (C) 2007-2025  IPFire Team  <info@ipfire.org>                     #
 #                                                                             #
 # This program is free software: you can redistribute it and/or modify        #
 # it under the terms of the GNU General Public License as published by        #
@@ -24,7 +24,7 @@
 
 include Config
 
-VER        = 1.17
+VER        = 1.18
 
 THISAPP    = automake-$(VER)
 DL_FILE    = $(THISAPP).tar.xz
@@ -48,7 +48,7 @@ objects = $(DL_FILE)
 
 $(DL_FILE) = $(DL_FROM)/$(DL_FILE)
 
-$(DL_FILE)_BLAKE2 = 53c24c138faf3d2be4e30ababcccd4d157c03e815fc4b7f3e3063b6648cf254dfa63afe6e3285b21309dbf260335c3e67991db3825e7532b158b25ccaead83f5
+$(DL_FILE)_BLAKE2 = 45456d6d0fdcd1222c79980ede1df16dfbf18fa4d4698289dbef7c9e24ae8877881678974c5defcce0a9f46b72882b4603e457e8142722174ccf0e495f941550
 
 install : $(TARGET)
 
@@ -78,7 +78,8 @@ $(subst %,%_BLAKE2,$(objects)) :
 $(TARGET) : $(patsubst %,$(DIR_DL)/%,$(objects))
 	@$(PREBUILD)
 	@rm -rf $(DIR_APP) && cd $(DIR_SRC) && tar Jxf $(DIR_DL)/$(DL_FILE)
-	cd $(DIR_APP) && ./configure --prefix=$(PREFIX)
+	cd $(DIR_APP) && ./configure \
+				--prefix=$(PREFIX)
 	cd $(DIR_APP) && make $(MAKETUNING)
 	cd $(DIR_APP) && make install
 	@rm -rf $(DIR_APP)